--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

SET search_path = public, pg_catalog;

--
-- Name: cluster_grouping; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_grouping AS ENUM (
    'roles',
    'hardware',
    'both'
);


ALTER TYPE public.cluster_grouping OWNER TO nailgun;

--
-- Name: cluster_mode; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_mode AS ENUM (
    'multinode',
    'ha_full',
    'ha_compact'
);


ALTER TYPE public.cluster_mode OWNER TO nailgun;

--
-- Name: cluster_net_manager; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_net_manager AS ENUM (
    'FlatDHCPManager',
    'VlanManager'
);


ALTER TYPE public.cluster_net_manager OWNER TO nailgun;

--
-- Name: cluster_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_status AS ENUM (
    'new',
    'deployment',
    'operational',
    'error',
    'remove'
);


ALTER TYPE public.cluster_status OWNER TO nailgun;

--
-- Name: license_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE license_type AS ENUM (
    'rhsm',
    'rhn'
);


ALTER TYPE public.license_type OWNER TO nailgun;

--
-- Name: net_l23_provider; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_l23_provider AS ENUM (
    'ovs'
);


ALTER TYPE public.net_l23_provider OWNER TO nailgun;

--
-- Name: net_provider; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_provider AS ENUM (
    'nova_network',
    'neutron'
);


ALTER TYPE public.net_provider OWNER TO nailgun;

--
-- Name: net_segment_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_segment_type AS ENUM (
    'none',
    'vlan',
    'gre'
);


ALTER TYPE public.net_segment_type OWNER TO nailgun;

--
-- Name: network_group_name; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE network_group_name AS ENUM (
    'fuelweb_admin',
    'storage',
    'management',
    'public',
    'floating',
    'fixed',
    'private'
);


ALTER TYPE public.network_group_name OWNER TO nailgun;

--
-- Name: node_error_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE node_error_type AS ENUM (
    'deploy',
    'provision',
    'deletion'
);


ALTER TYPE public.node_error_type OWNER TO nailgun;

--
-- Name: node_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE node_status AS ENUM (
    'ready',
    'discover',
    'provisioning',
    'provisioned',
    'deploying',
    'error'
);


ALTER TYPE public.node_status OWNER TO nailgun;

--
-- Name: notif_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE notif_status AS ENUM (
    'read',
    'unread'
);


ALTER TYPE public.notif_status OWNER TO nailgun;

--
-- Name: notif_topic; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE notif_topic AS ENUM (
    'discover',
    'done',
    'error',
    'warning'
);


ALTER TYPE public.notif_topic OWNER TO nailgun;

--
-- Name: plugin_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE plugin_type AS ENUM (
    'nailgun',
    'fuel'
);


ALTER TYPE public.plugin_type OWNER TO nailgun;

--
-- Name: possible_changes; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE possible_changes AS ENUM (
    'networks',
    'attributes',
    'disks'
);


ALTER TYPE public.possible_changes OWNER TO nailgun;

--
-- Name: release_state; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE release_state AS ENUM (
    'not_available',
    'downloading',
    'error',
    'available'
);


ALTER TYPE public.release_state OWNER TO nailgun;

--
-- Name: segmentation_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE segmentation_type AS ENUM (
    'vlan',
    'gre'
);


ALTER TYPE public.segmentation_type OWNER TO nailgun;

--
-- Name: task_name; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE task_name AS ENUM (
    'super',
    'deploy',
    'deployment',
    'provision',
    'node_deletion',
    'cluster_deletion',
    'check_before_deployment',
    'check_networks',
    'verify_networks',
    'check_dhcp',
    'verify_network_connectivity',
    'install_plugin',
    'update_plugin',
    'delete_plugin',
    'redhat_setup',
    'redhat_check_credentials',
    'redhat_check_licenses',
    'redhat_download_release',
    'redhat_update_cobbler_profile',
    'dump',
    'capacity_log'
);


ALTER TYPE public.task_name OWNER TO nailgun;

--
-- Name: task_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE task_status AS ENUM (
    'ready',
    'running',
    'error'
);


ALTER TYPE public.task_status OWNER TO nailgun;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: allowed_networks; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE allowed_networks (
    id integer NOT NULL,
    network_id integer NOT NULL,
    interface_id integer NOT NULL
);


ALTER TABLE public.allowed_networks OWNER TO nailgun;

--
-- Name: allowed_networks_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE allowed_networks_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.allowed_networks_id_seq OWNER TO nailgun;

--
-- Name: allowed_networks_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE allowed_networks_id_seq OWNED BY allowed_networks.id;


--
-- Name: allowed_networks_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('allowed_networks_id_seq', 192, true);


--
-- Name: attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE attributes (
    id integer NOT NULL,
    cluster_id integer,
    editable text,
    generated text
);


ALTER TABLE public.attributes OWNER TO nailgun;

--
-- Name: attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.attributes_id_seq OWNER TO nailgun;

--
-- Name: attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE attributes_id_seq OWNED BY attributes.id;


--
-- Name: attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('attributes_id_seq', 3, true);


--
-- Name: capacity_log; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE capacity_log (
    id integer NOT NULL,
    report text,
    datetime timestamp without time zone
);


ALTER TABLE public.capacity_log OWNER TO nailgun;

--
-- Name: capacity_log_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE capacity_log_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.capacity_log_id_seq OWNER TO nailgun;

--
-- Name: capacity_log_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE capacity_log_id_seq OWNED BY capacity_log.id;


--
-- Name: capacity_log_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('capacity_log_id_seq', 1, false);


--
-- Name: cluster_changes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE cluster_changes (
    id integer NOT NULL,
    cluster_id integer,
    node_id integer,
    name possible_changes NOT NULL
);


ALTER TABLE public.cluster_changes OWNER TO nailgun;

--
-- Name: cluster_changes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE cluster_changes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.cluster_changes_id_seq OWNER TO nailgun;

--
-- Name: cluster_changes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE cluster_changes_id_seq OWNED BY cluster_changes.id;


--
-- Name: cluster_changes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('cluster_changes_id_seq', 18, true);


--
-- Name: clusters; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE clusters (
    id integer NOT NULL,
    mode cluster_mode NOT NULL,
    status cluster_status NOT NULL,
    net_provider net_provider NOT NULL,
    net_l23_provider net_l23_provider NOT NULL,
    net_segment_type net_segment_type NOT NULL,
    net_manager cluster_net_manager NOT NULL,
    grouping cluster_grouping NOT NULL,
    name character varying(50) NOT NULL,
    release_id integer NOT NULL,
    dns_nameservers text,
    replaced_deployment_info text,
    replaced_provisioning_info text,
    is_customized boolean
);


ALTER TABLE public.clusters OWNER TO nailgun;

--
-- Name: clusters_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE clusters_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.clusters_id_seq OWNER TO nailgun;

--
-- Name: clusters_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE clusters_id_seq OWNED BY clusters.id;


--
-- Name: clusters_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('clusters_id_seq', 3, true);


--
-- Name: global_parameters; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE global_parameters (
    id integer NOT NULL,
    parameters text
);


ALTER TABLE public.global_parameters OWNER TO nailgun;

--
-- Name: global_parameters_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE global_parameters_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.global_parameters_id_seq OWNER TO nailgun;

--
-- Name: global_parameters_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE global_parameters_id_seq OWNED BY global_parameters.id;


--
-- Name: global_parameters_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('global_parameters_id_seq', 1, true);


--
-- Name: ip_addr_ranges; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE ip_addr_ranges (
    id integer NOT NULL,
    network_group_id integer,
    first character varying(25) NOT NULL,
    last character varying(25) NOT NULL
);


ALTER TABLE public.ip_addr_ranges OWNER TO nailgun;

--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE ip_addr_ranges_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ip_addr_ranges_id_seq OWNER TO nailgun;

--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE ip_addr_ranges_id_seq OWNED BY ip_addr_ranges.id;


--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('ip_addr_ranges_id_seq', 32, true);


--
-- Name: ip_addrs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE ip_addrs (
    id integer NOT NULL,
    network integer,
    node integer,
    ip_addr character varying(25) NOT NULL
);


ALTER TABLE public.ip_addrs OWNER TO nailgun;

--
-- Name: ip_addrs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE ip_addrs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ip_addrs_id_seq OWNER TO nailgun;

--
-- Name: ip_addrs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE ip_addrs_id_seq OWNED BY ip_addrs.id;


--
-- Name: ip_addrs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('ip_addrs_id_seq', 72, true);


--
-- Name: net_assignments; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE net_assignments (
    id integer NOT NULL,
    network_id integer NOT NULL,
    interface_id integer NOT NULL
);


ALTER TABLE public.net_assignments OWNER TO nailgun;

--
-- Name: net_assignments_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE net_assignments_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.net_assignments_id_seq OWNER TO nailgun;

--
-- Name: net_assignments_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE net_assignments_id_seq OWNED BY net_assignments.id;


--
-- Name: net_assignments_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('net_assignments_id_seq', 90, true);


--
-- Name: network_groups; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE network_groups (
    id integer NOT NULL,
    name network_group_name NOT NULL,
    release integer,
    cluster_id integer,
    network_size integer,
    amount integer,
    vlan_start integer,
    cidr character varying(25),
    gateway character varying(25),
    netmask character varying(25) NOT NULL
);


ALTER TABLE public.network_groups OWNER TO nailgun;

--
-- Name: network_groups_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE network_groups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.network_groups_id_seq OWNER TO nailgun;

--
-- Name: network_groups_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE network_groups_id_seq OWNED BY network_groups.id;


--
-- Name: network_groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('network_groups_id_seq', 16, true);


--
-- Name: neutron_configs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE neutron_configs (
    id integer NOT NULL,
    cluster_id integer,
    parameters text,
    "L2" text,
    "L3" text,
    predefined_networks text,
    segmentation_type segmentation_type NOT NULL
);


ALTER TABLE public.neutron_configs OWNER TO nailgun;

--
-- Name: neutron_configs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE neutron_configs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.neutron_configs_id_seq OWNER TO nailgun;

--
-- Name: neutron_configs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE neutron_configs_id_seq OWNED BY neutron_configs.id;


--
-- Name: neutron_configs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('neutron_configs_id_seq', 1, false);


--
-- Name: node_attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_attributes (
    id integer NOT NULL,
    node_id integer,
    volumes text,
    interfaces text
);


ALTER TABLE public.node_attributes OWNER TO nailgun;

--
-- Name: node_attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.node_attributes_id_seq OWNER TO nailgun;

--
-- Name: node_attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_attributes_id_seq OWNED BY node_attributes.id;


--
-- Name: node_attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_attributes_id_seq', 12, true);


--
-- Name: node_nic_interfaces; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_nic_interfaces (
    id integer NOT NULL,
    node_id integer NOT NULL,
    name character varying(128) NOT NULL,
    mac character varying(17) NOT NULL,
    max_speed integer,
    current_speed integer,
    ip_addr character varying(25),
    netmask character varying(25),
    state character varying(25)
);


ALTER TABLE public.node_nic_interfaces OWNER TO nailgun;

--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_nic_interfaces_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.node_nic_interfaces_id_seq OWNER TO nailgun;

--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_nic_interfaces_id_seq OWNED BY node_nic_interfaces.id;


--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_nic_interfaces_id_seq', 36, true);


--
-- Name: node_roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_roles (
    id integer NOT NULL,
    role integer,
    node integer
);


ALTER TABLE public.node_roles OWNER TO nailgun;

--
-- Name: node_roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.node_roles_id_seq OWNER TO nailgun;

--
-- Name: node_roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_roles_id_seq OWNED BY node_roles.id;


--
-- Name: node_roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_roles_id_seq', 12, true);


--
-- Name: nodes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE nodes (
    id integer NOT NULL,
    cluster_id integer,
    name character varying(100),
    status node_status NOT NULL,
    meta text,
    mac character varying(17) NOT NULL,
    ip character varying(15),
    fqdn character varying(255),
    manufacturer character varying(50),
    platform_name character varying(150),
    progress integer,
    os_platform character varying(150),
    pending_addition boolean,
    pending_deletion boolean,
    error_type node_error_type,
    error_msg character varying(255),
    "timestamp" timestamp without time zone NOT NULL,
    online boolean
);


ALTER TABLE public.nodes OWNER TO nailgun;

--
-- Name: nodes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE nodes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.nodes_id_seq OWNER TO nailgun;

--
-- Name: nodes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE nodes_id_seq OWNED BY nodes.id;


--
-- Name: nodes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('nodes_id_seq', 12, true);


--
-- Name: notifications; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE notifications (
    id integer NOT NULL,
    cluster_id integer,
    node_id integer,
    task_id integer,
    topic notif_topic NOT NULL,
    message text,
    status notif_status NOT NULL,
    datetime timestamp without time zone NOT NULL
);


ALTER TABLE public.notifications OWNER TO nailgun;

--
-- Name: notifications_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE notifications_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.notifications_id_seq OWNER TO nailgun;

--
-- Name: notifications_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE notifications_id_seq OWNED BY notifications.id;


--
-- Name: notifications_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('notifications_id_seq', 17, true);


--
-- Name: pending_node_roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE pending_node_roles (
    id integer NOT NULL,
    role integer,
    node integer
);


ALTER TABLE public.pending_node_roles OWNER TO nailgun;

--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE pending_node_roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pending_node_roles_id_seq OWNER TO nailgun;

--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE pending_node_roles_id_seq OWNED BY pending_node_roles.id;


--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('pending_node_roles_id_seq', 12, true);


--
-- Name: plugins; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE plugins (
    id integer NOT NULL,
    type plugin_type NOT NULL,
    name character varying(128) NOT NULL,
    state character varying(128) NOT NULL,
    version character varying(128) NOT NULL
);


ALTER TABLE public.plugins OWNER TO nailgun;

--
-- Name: plugins_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE plugins_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.plugins_id_seq OWNER TO nailgun;

--
-- Name: plugins_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE plugins_id_seq OWNED BY plugins.id;


--
-- Name: plugins_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('plugins_id_seq', 1, false);


--
-- Name: red_hat_accounts; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE red_hat_accounts (
    id integer NOT NULL,
    username character varying(100) NOT NULL,
    password character varying(100) NOT NULL,
    license_type license_type NOT NULL,
    satellite character varying(250),
    activation_key character varying(300)
);


ALTER TABLE public.red_hat_accounts OWNER TO nailgun;

--
-- Name: red_hat_accounts_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE red_hat_accounts_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.red_hat_accounts_id_seq OWNER TO nailgun;

--
-- Name: red_hat_accounts_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE red_hat_accounts_id_seq OWNED BY red_hat_accounts.id;


--
-- Name: red_hat_accounts_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('red_hat_accounts_id_seq', 1, false);


--
-- Name: releases; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE releases (
    id integer NOT NULL,
    name character varying(100) NOT NULL,
    version character varying(30) NOT NULL,
    description character varying,
    operating_system character varying(50) NOT NULL,
    state release_state NOT NULL,
    networks_metadata text,
    attributes_metadata text,
    volumes_metadata text,
    modes_metadata text,
    roles_metadata text
);


ALTER TABLE public.releases OWNER TO nailgun;

--
-- Name: releases_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE releases_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.releases_id_seq OWNER TO nailgun;

--
-- Name: releases_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE releases_id_seq OWNED BY releases.id;


--
-- Name: releases_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('releases_id_seq', 3, true);


--
-- Name: roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE roles (
    id integer NOT NULL,
    release_id integer,
    name character varying(50) NOT NULL
);


ALTER TABLE public.roles OWNER TO nailgun;

--
-- Name: roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.roles_id_seq OWNER TO nailgun;

--
-- Name: roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE roles_id_seq OWNED BY roles.id;


--
-- Name: roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('roles_id_seq', 35, true);


--
-- Name: tasks; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE tasks (
    id integer NOT NULL,
    cluster_id integer,
    uuid character varying(36) NOT NULL,
    name task_name NOT NULL,
    message text,
    status task_status NOT NULL,
    progress integer,
    cache text,
    result text,
    parent_id integer,
    weight double precision
);


ALTER TABLE public.tasks OWNER TO nailgun;

--
-- Name: tasks_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE tasks_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tasks_id_seq OWNER TO nailgun;

--
-- Name: tasks_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE tasks_id_seq OWNED BY tasks.id;


--
-- Name: tasks_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('tasks_id_seq', 29, true);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY allowed_networks ALTER COLUMN id SET DEFAULT nextval('allowed_networks_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY attributes ALTER COLUMN id SET DEFAULT nextval('attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY capacity_log ALTER COLUMN id SET DEFAULT nextval('capacity_log_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes ALTER COLUMN id SET DEFAULT nextval('cluster_changes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters ALTER COLUMN id SET DEFAULT nextval('clusters_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY global_parameters ALTER COLUMN id SET DEFAULT nextval('global_parameters_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addr_ranges ALTER COLUMN id SET DEFAULT nextval('ip_addr_ranges_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs ALTER COLUMN id SET DEFAULT nextval('ip_addrs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_assignments ALTER COLUMN id SET DEFAULT nextval('net_assignments_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups ALTER COLUMN id SET DEFAULT nextval('network_groups_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY neutron_configs ALTER COLUMN id SET DEFAULT nextval('neutron_configs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_attributes ALTER COLUMN id SET DEFAULT nextval('node_attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces ALTER COLUMN id SET DEFAULT nextval('node_nic_interfaces_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles ALTER COLUMN id SET DEFAULT nextval('node_roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes ALTER COLUMN id SET DEFAULT nextval('nodes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications ALTER COLUMN id SET DEFAULT nextval('notifications_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles ALTER COLUMN id SET DEFAULT nextval('pending_node_roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY plugins ALTER COLUMN id SET DEFAULT nextval('plugins_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY red_hat_accounts ALTER COLUMN id SET DEFAULT nextval('red_hat_accounts_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY releases ALTER COLUMN id SET DEFAULT nextval('releases_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY roles ALTER COLUMN id SET DEFAULT nextval('roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks ALTER COLUMN id SET DEFAULT nextval('tasks_id_seq'::regclass);


--
-- Data for Name: allowed_networks; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY allowed_networks (id, network_id, interface_id) FROM stdin;
1	2	1
2	3	1
3	4	1
4	5	1
5	6	1
6	2	2
7	3	2
8	4	2
9	5	2
10	6	2
11	1	3
12	2	3
13	3	3
14	4	3
15	5	3
16	6	3
17	2	4
18	3	4
19	4	4
20	5	4
21	6	4
22	2	5
23	3	5
24	4	5
25	5	5
26	6	5
27	1	6
28	2	6
29	3	6
30	4	6
31	5	6
32	6	6
33	2	7
34	3	7
35	4	7
36	5	7
37	6	7
38	2	8
39	3	8
40	4	8
41	5	8
42	6	8
43	1	9
44	2	9
45	3	9
46	4	9
47	5	9
48	6	9
49	2	10
50	3	10
51	4	10
52	5	10
53	6	10
54	2	11
55	3	11
56	4	11
57	5	11
58	6	11
59	1	12
60	2	12
61	3	12
62	4	12
63	5	12
64	6	12
65	7	13
66	8	13
67	9	13
68	10	13
69	11	13
70	7	14
71	8	14
72	9	14
73	10	14
74	11	14
75	1	15
76	7	15
77	8	15
78	9	15
79	10	15
80	11	15
81	7	17
82	8	17
83	9	17
84	10	17
85	11	17
86	7	16
87	8	16
88	9	16
89	10	16
90	11	16
91	1	18
92	7	18
93	8	18
94	9	18
95	10	18
96	11	18
97	7	19
98	8	19
99	9	19
100	10	19
101	11	19
102	7	20
103	8	20
104	9	20
105	10	20
106	11	20
107	1	21
108	7	21
109	8	21
110	9	21
111	10	21
112	11	21
113	7	22
114	8	22
115	9	22
116	10	22
117	11	22
118	7	23
119	8	23
120	9	23
121	10	23
122	11	23
123	1	24
124	7	24
125	8	24
126	9	24
127	10	24
128	11	24
129	7	25
130	8	25
131	9	25
132	10	25
133	11	25
134	7	26
135	8	26
136	9	26
137	10	26
138	11	26
139	1	27
140	7	27
141	8	27
142	9	27
143	10	27
144	11	27
145	12	28
146	13	28
147	14	28
148	15	28
149	16	28
150	12	29
151	13	29
152	14	29
153	15	29
154	16	29
155	1	30
156	12	30
157	13	30
158	14	30
159	15	30
160	16	30
161	12	32
162	13	32
163	14	32
164	15	32
165	16	32
166	12	31
167	13	31
168	14	31
169	15	31
170	16	31
171	1	33
172	12	33
173	13	33
174	14	33
175	15	33
176	16	33
177	12	34
178	13	34
179	14	34
180	15	34
181	16	34
182	12	35
183	13	35
184	14	35
185	15	35
186	16	35
187	1	36
188	12	36
189	13	36
190	14	36
191	15	36
192	16	36
\.


--
-- Data for Name: attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY attributes (id, cluster_id, editable, generated) FROM stdin;
1	1	{"access": {"password": {"value": "admin", "type": "password", "description": "Password for Administrator", "weight": 20, "label": "password"}, "user": {"value": "admin", "type": "text", "description": "Username for Administrator", "weight": 10, "label": "username"}, "tenant": {"value": "admin", "type": "text", "description": "Tenant (project) name for Administrator", "weight": 30, "label": "tenant"}, "email": {"value": "admin@example.org", "type": "text", "description": "Email address for Administrator", "weight": 40, "label": "email"}}, "syslog": {"syslog_port": {"value": "514", "type": "text", "description": "Remote syslog port", "weight": 20, "label": "Port"}, "syslog_transport": {"values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "type": "radio", "value": "udp", "weight": 30, "label": "Syslog transport protocol"}, "syslog_server": {"value": "", "type": "text", "description": "Remote syslog hostname", "weight": 10, "label": "Hostname"}}, "additional_components": {"murano": {"value": false, "type": "checkbox", "description": "If selected, Murano component will be installed", "weight": 20, "label": "Install Murano"}, "ceilometer": {"value": false, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "weight": 40, "label": "Install Ceilometer"}, "heat": {"value": false, "type": "hidden", "description": "", "weight": 30, "label": ""}, "savanna": {"value": true, "type": "checkbox", "description": "If selected, Savanna component will be installed", "weight": 10, "label": "Install Savanna"}}, "storage": {"osd_pool_size": {"value": "2", "type": "text", "description": "Defines the number of object replicas in Ceph pools. At least that many Ceph-OSD nodes must be deployed.", "weight": 70, "label": "Ceph object replication factor"}, "volumes_lvm": {"value": false, "type": "checkbox", "description": "Requires at least one Cinder node", "weight": 10, "label": "Cinder LVM over iSCSI for volumes"}, "images_ceph": {"value": false, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "weight": 30, "label": "Ceph RBD for images"}, "volumes_ceph": {"value": true, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "weight": 20, "label": "Ceph RBD for volumes"}, "objects_ceph": {"value": false, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes, incompatible with Swift", "weight": 40, "label": "Ceph rados-gw for objects"}}, "common": {"auto_assign_floating_ip": {"value": false, "type": "checkbox", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "label": "Auto assign floating IP"}, "use_cow_images": {"value": true, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "weight": 50, "label": "Use qcow format for images"}, "auth_key": {"value": "", "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "weight": 80, "label": "Public Key"}, "compute_scheduler_driver": {"values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "type": "radio", "value": "nova.scheduler.filter_scheduler.FilterScheduler", "weight": 70, "label": "Scheduler driver"}, "libvirt_type": {"values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "type": "radio", "value": "qemu", "weight": 30, "label": "Hypervisor type"}, "start_guests_on_host_boot": {"value": true, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "weight": 60, "label": "Start guests on host boot"}, "vlan_splinters": {"value": false, "type": "checkbox", "description": "Use VLAN splinters Open vSwitch method on necessary network interfaces", "weight": 45, "label": "Enable 'OVS VLAN splinters' feature (Neutron only)"}, "debug": {"value": false, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 20, "label": "OpenStack debug logging"}}}	{"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "3gm2j6qI"}, "keystone": {"admin_password": "DWMD0HNg"}, "database": {"passwd": "QM2fgedE"}}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "ceilometer": {"db_password": "4GkNckp2", "user_password": "Hzs98lsl", "metering_secret": "0uFGQd2p"}, "murano": {"db_password": "wcZudyqt"}, "nova": {"db_password": "LaFNbhZ7", "user_password": "t4amjP7h", "state_path": "/var/lib/nova"}, "heat": {"db_password": "diYwpvHi", "rabbit_user": "g4GwORCV", "rabbit_password": "D2P2y7m4"}, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "rabbit": {"password": "kVFIC4Rl"}, "mysql": {"root_password": "uHS4b7TF"}, "keystone": {"db_password": "J6d63Dr4", "admin_token": "8lgbcq38"}, "glance": {"db_password": "5SCTdQzN", "user_password": "xhhSPuqG"}, "cinder": {"db_password": "MZjLP1PP", "user_password": "E8t08KkT"}, "swift": {"user_password": "zH1ZsFSY"}, "savanna": {"db_password": "PgLOMnrm"}}
2	2	{"access": {"password": {"value": "admin", "type": "password", "description": "Password for Administrator", "weight": 20, "label": "password"}, "user": {"value": "admin", "type": "text", "description": "Username for Administrator", "weight": 10, "label": "username"}, "tenant": {"value": "admin", "type": "text", "description": "Tenant (project) name for Administrator", "weight": 30, "label": "tenant"}, "email": {"value": "admin@example.org", "type": "text", "description": "Email address for Administrator", "weight": 40, "label": "email"}}, "syslog": {"syslog_port": {"value": "514", "type": "text", "description": "Remote syslog port", "weight": 20, "label": "Port"}, "syslog_transport": {"values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "type": "radio", "value": "udp", "weight": 30, "label": "Syslog transport protocol"}, "syslog_server": {"value": "", "type": "text", "description": "Remote syslog hostname", "weight": 10, "label": "Hostname"}}, "additional_components": {"murano": {"value": false, "type": "checkbox", "description": "If selected, Murano component will be installed", "weight": 20, "label": "Install Murano"}, "ceilometer": {"value": false, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "weight": 40, "label": "Install Ceilometer"}, "heat": {"value": false, "type": "hidden", "description": "", "weight": 30, "label": ""}, "savanna": {"value": false, "type": "checkbox", "description": "If selected, Savanna component will be installed", "weight": 10, "label": "Install Savanna"}}, "storage": {"osd_pool_size": {"value": "2", "type": "text", "description": "Defines the number of object replicas in Ceph pools. At least that many Ceph-OSD nodes must be deployed.", "weight": 70, "label": "Ceph object replication factor"}, "volumes_lvm": {"value": true, "type": "checkbox", "description": "Requires at least one Cinder node", "weight": 10, "label": "Cinder LVM over iSCSI for volumes"}, "images_ceph": {"value": true, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "weight": 30, "label": "Ceph RBD for images"}, "volumes_ceph": {"value": false, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "weight": 20, "label": "Ceph RBD for volumes"}, "objects_ceph": {"value": false, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes, incompatible with Swift", "weight": 40, "label": "Ceph rados-gw for objects"}}, "common": {"auto_assign_floating_ip": {"value": false, "type": "checkbox", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "label": "Auto assign floating IP"}, "use_cow_images": {"value": true, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "weight": 50, "label": "Use qcow format for images"}, "auth_key": {"value": "", "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "weight": 70, "label": "Public Key"}, "compute_scheduler_driver": {"values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "type": "radio", "value": "nova.scheduler.filter_scheduler.FilterScheduler", "weight": 40, "label": "Scheduler driver"}, "libvirt_type": {"values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "type": "radio", "value": "qemu", "weight": 30, "label": "Hypervisor type"}, "start_guests_on_host_boot": {"value": true, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "weight": 60, "label": "Start guests on host boot"}, "vlan_splinters": {"value": false, "type": "checkbox", "description": "Use VLAN splinters Open vSwitch method on necessary network interfaces", "weight": 45, "label": "Enable 'OVS VLAN splinters' feature (Neutron only)"}, "debug": {"value": false, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 20, "label": "OpenStack debug logging"}}}	{"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "uQoy9dal"}, "keystone": {"admin_password": "OoeniU4J"}, "database": {"passwd": "oAmfmBPZ"}}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "ceilometer": {"db_password": "SFpOghrZ", "user_password": "viqjqb4r", "metering_secret": "ZJkFQm4W"}, "heat": {"db_password": "VbphiZzb", "rabbit_user": "S17vkQzX", "rabbit_password": "EP33wwsT"}, "nova": {"db_password": "51dyJcWT", "user_password": "SfykiMeU", "state_path": "/var/lib/nova"}, "murano": {"db_password": "KuuC2BQb"}, "keystone": {"db_password": "WHyECv7y", "admin_token": "jdCY3AE1"}, "rabbit": {"password": "YcKU5nVY"}, "mysql": {"root_password": "bjy0gtjN"}, "cinder": {"db_password": "xGzILlvz", "user_password": "AFT8S6Md"}, "glance": {"db_password": "wCMgblXl", "user_password": "hXHUbbt7"}, "cobbler": {"profile": "centos-x86_64"}, "swift": {"user_password": "XVMN6szA"}, "savanna": {"db_password": "Nzde77zl"}}
3	3	{"access": {"password": {"value": "admin", "type": "password", "description": "Password for Administrator", "weight": 20, "label": "password"}, "user": {"value": "admin", "type": "text", "description": "Username for Administrator", "weight": 10, "label": "username"}, "tenant": {"value": "admin", "type": "text", "description": "Tenant (project) name for Administrator", "weight": 30, "label": "tenant"}, "email": {"value": "admin@example.org", "type": "text", "description": "Email address for Administrator", "weight": 40, "label": "email"}}, "syslog": {"syslog_port": {"value": "514", "type": "text", "description": "Remote syslog port", "weight": 20, "label": "Port"}, "syslog_transport": {"values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "type": "radio", "value": "udp", "weight": 30, "label": "Syslog transport protocol"}, "syslog_server": {"value": "", "type": "text", "description": "Remote syslog hostname", "weight": 10, "label": "Hostname"}}, "additional_components": {"murano": {"value": false, "type": "checkbox", "description": "If selected, Murano component will be installed", "weight": 20, "label": "Install Murano"}, "ceilometer": {"value": false, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "weight": 40, "label": "Install Ceilometer"}, "heat": {"value": false, "type": "hidden", "description": "", "weight": 30, "label": ""}, "savanna": {"value": false, "type": "checkbox", "description": "If selected, Savanna component will be installed", "weight": 10, "label": "Install Savanna"}}, "storage": {"osd_pool_size": {"value": "2", "type": "text", "description": "Defines the number of object replicas in Ceph pools. At least that many Ceph-OSD nodes must be deployed.", "weight": 70, "label": "Ceph object replication factor"}, "volumes_lvm": {"value": true, "type": "checkbox", "description": "Requires at least one Cinder node", "weight": 10, "label": "Cinder LVM over iSCSI for volumes"}, "images_ceph": {"value": false, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "weight": 30, "label": "Ceph RBD for images"}, "volumes_ceph": {"value": false, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "weight": 20, "label": "Ceph RBD for volumes"}, "objects_ceph": {"value": false, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes, incompatible with Swift", "weight": 40, "label": "Ceph rados-gw for objects"}}, "common": {"auto_assign_floating_ip": {"value": false, "type": "checkbox", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "label": "Auto assign floating IP"}, "use_cow_images": {"value": true, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "weight": 50, "label": "Use qcow format for images"}, "auth_key": {"value": "", "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "weight": 80, "label": "Public Key"}, "compute_scheduler_driver": {"values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "type": "radio", "value": "nova.scheduler.filter_scheduler.FilterScheduler", "weight": 70, "label": "Scheduler driver"}, "libvirt_type": {"values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "type": "radio", "value": "qemu", "weight": 30, "label": "Hypervisor type"}, "start_guests_on_host_boot": {"value": true, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "weight": 60, "label": "Start guests on host boot"}, "vlan_splinters": {"value": false, "type": "checkbox", "description": "Use VLAN splinters Open vSwitch method on necessary network interfaces", "weight": 45, "label": "Enable 'OVS VLAN splinters' feature (Neutron only)"}, "debug": {"value": false, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 20, "label": "OpenStack debug logging"}}}	{"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "EVKARJfs"}, "keystone": {"admin_password": "ok4OXYN7"}, "database": {"passwd": "RloOOmxT"}}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "ceilometer": {"db_password": "qhdvdYs7", "user_password": "6VuUrJve", "metering_secret": "Q191yGMG"}, "murano": {"db_password": "hrTQyVQ3"}, "nova": {"db_password": "eMk3HvO5", "user_password": "uloAxPNs", "state_path": "/var/lib/nova"}, "heat": {"db_password": "lHzNB5B1", "rabbit_user": "SB966P1d", "rabbit_password": "Mqg3TRp1"}, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "rabbit": {"password": "sF2ZXHQV"}, "mysql": {"root_password": "p23V4Cv8"}, "keystone": {"db_password": "sAW3f0yP", "admin_token": "WAnDwa4e"}, "glance": {"db_password": "xQ7uRyXo", "user_password": "DXca4cyl"}, "cinder": {"db_password": "7r5juvG0", "user_password": "w8qjpgrS"}, "swift": {"user_password": "VVkCUsRm"}, "savanna": {"db_password": "tIRj6PsD"}}
\.


--
-- Data for Name: capacity_log; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY capacity_log (id, report, datetime) FROM stdin;
\.


--
-- Data for Name: cluster_changes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY cluster_changes (id, cluster_id, node_id, name) FROM stdin;
\.


--
-- Data for Name: clusters; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY clusters (id, mode, status, net_provider, net_l23_provider, net_segment_type, net_manager, grouping, name, release_id, dns_nameservers, replaced_deployment_info, replaced_provisioning_info, is_customized) FROM stdin;
1	multinode	operational	nova_network	ovs	vlan	VlanManager	roles	test_ubuntu_simple_savanna_ceph	3	["8.8.8.8", "8.8.4.4"]	{}	{}	f
3	multinode	operational	nova_network	ovs	vlan	FlatDHCPManager	roles	test_ubuntu_simple	3	["8.8.8.8", "8.8.4.4"]	{}	{}	f
2	multinode	operational	nova_network	ovs	vlan	FlatDHCPManager	roles	test_centos_simple_ceph	1	["8.8.8.8", "8.8.4.4"]	{}	{}	f
\.


--
-- Data for Name: global_parameters; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY global_parameters (id, parameters) FROM stdin;
1	{"net_exclude": "10.20.0.0/24", "vlan_range": [100, 1000]}
\.


--
-- Data for Name: ip_addr_ranges; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY ip_addr_ranges (id, network_group_id, first, last) FROM stdin;
1	1	10.20.0.3	10.20.0.127
7	3	172.16.0.2	172.16.0.127
8	2	172.16.0.128	172.16.0.254
10	4	192.168.0.2	192.168.0.254
12	5	192.168.1.2	192.168.1.254
14	6	10.0.0.2	10.0.255.254
20	8	172.16.0.2	172.16.0.127
21	7	172.16.0.128	172.16.0.254
23	9	192.168.0.2	192.168.0.254
25	10	192.168.1.2	192.168.1.254
27	11	10.0.0.2	10.0.255.254
28	12	172.16.0.128	172.16.0.254
29	13	172.16.0.2	172.16.0.127
30	14	192.168.0.2	192.168.0.254
31	15	192.168.1.2	192.168.1.254
32	16	10.0.0.2	10.0.255.254
\.


--
-- Data for Name: ip_addrs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY ip_addrs (id, network, node, ip_addr) FROM stdin;
1	1	1	10.20.0.3
2	1	1	10.20.0.4
3	1	1	10.20.0.5
4	1	2	10.20.0.6
5	1	2	10.20.0.7
6	1	2	10.20.0.8
7	1	3	10.20.0.9
8	1	3	10.20.0.10
9	1	3	10.20.0.11
10	1	4	10.20.0.12
11	1	4	10.20.0.13
12	1	4	10.20.0.14
13	4	1	192.168.0.2
14	4	2	192.168.0.3
15	4	3	192.168.0.4
16	4	4	192.168.0.5
17	3	1	172.16.0.2
18	3	2	172.16.0.3
19	3	3	172.16.0.4
20	3	4	172.16.0.5
21	5	1	192.168.1.2
22	5	2	192.168.1.3
23	5	3	192.168.1.4
24	5	4	192.168.1.5
25	1	5	10.20.0.15
26	1	5	10.20.0.16
27	1	5	10.20.0.17
28	1	6	10.20.0.18
29	1	6	10.20.0.19
30	1	6	10.20.0.20
31	1	7	10.20.0.21
32	1	7	10.20.0.22
33	1	7	10.20.0.23
34	1	8	10.20.0.24
35	1	8	10.20.0.25
36	1	8	10.20.0.26
37	1	9	10.20.0.27
38	1	9	10.20.0.28
39	1	9	10.20.0.29
40	9	5	192.168.0.6
41	9	6	192.168.0.7
42	9	7	192.168.0.8
43	9	8	192.168.0.9
44	9	9	192.168.0.10
45	8	5	172.16.0.6
46	8	6	172.16.0.7
47	8	7	172.16.0.8
48	8	8	172.16.0.9
49	8	9	172.16.0.10
50	10	5	192.168.1.6
51	10	6	192.168.1.7
52	10	7	192.168.1.8
53	10	8	192.168.1.9
54	10	9	192.168.1.10
55	1	10	10.20.0.30
56	1	10	10.20.0.31
57	1	10	10.20.0.32
58	1	11	10.20.0.33
59	1	11	10.20.0.34
60	1	11	10.20.0.35
61	1	12	10.20.0.36
62	1	12	10.20.0.37
63	1	12	10.20.0.38
64	14	10	192.168.0.11
65	14	11	192.168.0.12
66	14	12	192.168.0.13
67	13	10	172.16.0.11
68	13	11	172.16.0.12
69	13	12	172.16.0.13
70	15	10	192.168.1.11
71	15	11	192.168.1.12
72	15	12	192.168.1.13
\.


--
-- Data for Name: net_assignments; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY net_assignments (id, network_id, interface_id) FROM stdin;
1	2	1
2	3	1
3	4	1
4	5	1
5	6	1
6	1	3
7	2	4
8	3	4
9	4	4
10	5	4
11	6	4
12	1	6
13	2	7
14	3	7
15	4	7
16	5	7
17	6	7
18	1	9
19	2	10
20	3	10
21	4	10
22	5	10
23	6	10
24	1	12
25	7	13
26	8	13
27	9	13
28	10	13
29	11	13
30	1	15
31	1	18
32	7	16
33	8	16
34	9	16
35	10	16
36	11	16
37	7	19
38	8	19
39	9	19
40	10	19
41	11	19
42	1	21
43	7	22
44	8	22
45	9	22
46	10	22
47	11	22
48	1	24
49	7	25
50	8	25
51	9	25
52	10	25
53	11	25
54	1	27
73	1	30
74	13	29
75	1	36
76	1	33
77	12	29
78	15	28
79	13	32
80	13	35
81	12	32
82	14	28
83	16	28
84	12	35
85	15	31
86	14	31
87	16	31
88	15	34
89	14	34
90	16	34
\.


--
-- Data for Name: network_groups; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY network_groups (id, name, release, cluster_id, network_size, amount, vlan_start, cidr, gateway, netmask) FROM stdin;
1	fuelweb_admin	\N	\N	256	1	\N	10.20.0.0/24	\N	255.255.255.0
3	public	3	1	256	1	\N	172.16.0.0/24	172.16.0.1	255.255.255.0
2	floating	3	1	256	1	\N	172.16.0.0/24	\N	255.255.255.0
4	management	3	1	256	1	101	192.168.0.0/24	\N	255.255.255.0
5	storage	3	1	256	1	102	192.168.1.0/24	\N	255.255.255.0
6	fixed	3	1	64	4	103	10.0.0.0/16	10.0.0.1	255.255.0.0
8	public	1	2	256	1	\N	172.16.0.0/24	172.16.0.1	255.255.255.0
7	floating	1	2	256	1	\N	172.16.0.0/24	\N	255.255.255.0
9	management	1	2	256	1	400	192.168.0.0/24	\N	255.255.255.0
10	storage	1	2	256	1	401	192.168.1.0/24	\N	255.255.255.0
11	fixed	1	2	256	1	402	10.0.0.0/16	10.0.0.1	255.255.0.0
12	floating	3	3	256	1	\N	172.16.0.0/24	\N	255.255.255.0
13	public	3	3	256	1	\N	172.16.0.0/24	172.16.0.1	255.255.255.0
14	management	3	3	256	1	101	192.168.0.0/24	\N	255.255.255.0
15	storage	3	3	256	1	102	192.168.1.0/24	\N	255.255.255.0
16	fixed	3	3	256	1	103	10.0.0.0/16	10.0.0.1	255.255.0.0
\.


--
-- Data for Name: neutron_configs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY neutron_configs (id, cluster_id, parameters, "L2", "L3", predefined_networks, segmentation_type) FROM stdin;
\.


--
-- Data for Name: node_attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_attributes (id, node_id, volumes, interfaces) FROM stdin;
3	3	[{"name": "sda", "free_space": 15820, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 15884}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32204, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 1652}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64972, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}]	{}
4	4	[{"name": "sda", "free_space": 15820, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 15884}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32204, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 1652}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64972, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}]	{}
6	6	[{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 15820}, {"vg": "vm", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 1716}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 30552}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 95396}], "type": "vg", "id": "vm"}]	{}
7	7	[{"name": "sda", "free_space": 15820, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 15884}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32204, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 1652}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64972, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}]	{}
8	8	[{"name": "sda", "free_space": 15820, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 15884}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32204, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 1652}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64972, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}]	{}
1	1	[{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 15820}, {"vg": "image", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 1716}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 30552}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": 95396}], "type": "vg", "id": "image"}]	{}
2	2	[{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 15820}, {"vg": "vm", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 1716}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 30552}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 95396}], "type": "vg", "id": "vm"}]	{}
9	9	[{"name": "sda", "free_space": 15820, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 15884}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32204, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 1652}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64972, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}]	{}
11	11	[{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 15820}, {"vg": "vm", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 1716}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 30552}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 95396}], "type": "vg", "id": "vm"}]	{}
5	5	[{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 15820}, {"vg": "image", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 1716}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 30552}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": 95396}], "type": "vg", "id": "image"}]	{}
10	10	[{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 15820}, {"vg": "image", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 1716}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 30552}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": 95396}], "type": "vg", "id": "image"}]	{}
12	12	[{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 15820}, {"vg": "cinder", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 1716}, {"vg": "cinder", "type": "pv", "lvm_meta_size": 64, "size": 30552}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "cinder", "type": "pv", "lvm_meta_size": 64, "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Cinder", "min_size": 1536, "volumes": [], "type": "vg", "id": "cinder"}]	{}
\.


--
-- Data for Name: node_nic_interfaces; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_nic_interfaces (id, node_id, name, mac, max_speed, current_speed, ip_addr, netmask, state) FROM stdin;
30	10	eth0	08:00:27:0e:60:31	\N	\N	10.20.0.30	255.255.255.0	unknown
22	8	eth2	08:00:27:2a:05:07	\N	\N	172.16.0.9	255.255.255.0	unknown
23	8	eth1	08:00:27:d7:2e:56	\N	\N	\N	\N	unknown
24	8	eth0	08:00:27:62:0a:83	\N	\N	10.20.0.26	255.255.255.0	unknown
16	6	eth2	08:00:27:8e:8f:99	\N	\N	172.16.0.7	255.255.255.0	unknown
17	6	eth1	08:00:27:44:13:d5	\N	\N	\N	\N	unknown
18	6	eth0	08:00:27:7b:a0:d7	\N	\N	10.20.0.20	255.255.255.0	unknown
1	1	eth2	08:00:27:c8:33:b5	\N	\N	172.16.0.2	255.255.255.0	unknown
2	1	eth1	08:00:27:06:88:f3	\N	\N	\N	\N	unknown
3	1	eth0	08:00:27:eb:39:34	\N	\N	10.20.0.4	255.255.255.0	unknown
13	5	eth2	08:00:27:bd:72:e3	\N	\N	172.16.0.6	255.255.255.0	unknown
14	5	eth1	08:00:27:5c:a9:d4	\N	\N	\N	\N	unknown
15	5	eth0	08:00:27:56:3f:fb	\N	\N	10.20.0.16	255.255.255.0	unknown
19	7	eth2	08:00:27:52:bf:a7	\N	\N	172.16.0.8	255.255.255.0	unknown
20	7	eth1	08:00:27:77:f0:9c	\N	\N	\N	\N	unknown
21	7	eth0	08:00:27:bf:74:29	\N	\N	10.20.0.23	255.255.255.0	unknown
25	9	eth2	08:00:27:6f:ae:8a	\N	\N	172.16.0.10	255.255.255.0	unknown
26	9	eth1	08:00:27:ef:bc:44	\N	\N	\N	\N	unknown
27	9	eth0	08:00:27:ed:75:6b	\N	\N	10.20.0.27	255.255.255.0	unknown
7	3	eth2	08:00:27:9a:b1:85	\N	\N	172.16.0.4	255.255.255.0	unknown
9	3	eth0	08:00:27:4a:c2:5d	\N	\N	10.20.0.9	255.255.255.0	unknown
34	12	eth2	08:00:27:32:3f:68	\N	\N	\N	\N	unknown
35	12	eth1	08:00:27:2a:49:bc	\N	\N	172.16.0.13	255.255.255.0	unknown
36	12	eth0	08:00:27:93:58:a2	\N	\N	10.20.0.38	255.255.255.0	unknown
10	4	eth2	08:00:27:da:15:14	\N	\N	172.16.0.5	255.255.255.0	unknown
11	4	eth1	08:00:27:b4:7f:b6	\N	\N	\N	\N	unknown
12	4	eth0	08:00:27:a8:0a:ef	\N	\N	10.20.0.14	255.255.255.0	unknown
31	11	eth2	08:00:27:1d:7f:b6	\N	\N	\N	\N	unknown
32	11	eth1	08:00:27:e1:c9:97	\N	\N	172.16.0.12	255.255.255.0	unknown
33	11	eth0	08:00:27:d0:c8:dc	\N	\N	10.20.0.33	255.255.255.0	unknown
4	2	eth2	08:00:27:45:2b:76	\N	\N	172.16.0.3	255.255.255.0	unknown
5	2	eth1	08:00:27:36:f3:36	\N	\N	\N	\N	unknown
6	2	eth0	08:00:27:b3:b5:5a	\N	\N	10.20.0.6	255.255.255.0	unknown
8	3	eth1	08:00:27:47:60:40	\N	\N	\N	\N	unknown
28	10	eth2	08:00:27:4f:e0:7b	\N	\N	\N	\N	unknown
29	10	eth1	08:00:27:17:53:a1	\N	\N	172.16.0.11	255.255.255.0	unknown
\.


--
-- Data for Name: node_roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_roles (id, role, node) FROM stdin;
1	16	1
2	17	2
3	18	3
4	19	4
5	25	5
6	26	6
7	27	7
8	28	8
9	29	9
10	33	10
11	34	11
12	35	12
\.


--
-- Data for Name: nodes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY nodes (id, cluster_id, name, status, meta, mac, ip, fqdn, manufacturer, platform_name, progress, os_platform, pending_addition, pending_deletion, error_type, error_msg, "timestamp", online) FROM stdin;
12	3	Untitled (58:A2)	ready	{"system": {"serial": "0", "version": "1.2", "fqdn": "node-12", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:32:3F:68", "state": "unknown", "max_speed": null, "name": "eth2", "current_speed": null}, {"name": "eth1", "ip": "172.16.0.13", "state": "unknown", "mac": "08:00:27:2A:49:BC", "max_speed": null, "current_speed": null, "netmask": "255.255.255.0"}, {"name": "eth0", "ip": "10.20.0.38", "state": "unknown", "mac": "08:00:27:93:58:A2", "max_speed": null, "current_speed": null, "netmask": "255.255.255.0"}], "disks": [{"model": "VBOX HARDDISK", "disk": "sdc", "name": "sdc", "size": 68719476736}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "name": "sdb", "size": 34359738368}, {"model": "VBOX HARDDISK", "disk": "sda", "name": "sda", "size": 17179869184}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1986}]}, "memory": {"total": 1571713024}}	08:00:27:93:58:a2	10.20.0.38	node-12.domain.tld	VirtualBox	\N	100	ubuntu	f	f	\N	\N	2013-12-11 12:46:24.384409	t
2	1	Untitled (B5:5A)	ready	{"system": {"serial": "0", "version": "1.2", "fqdn": "node-2", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"name": "eth2", "ip": "172.16.0.3", "state": "unknown", "mac": "08:00:27:45:2B:76", "max_speed": null, "current_speed": null, "netmask": "255.255.255.0"}, {"mac": "08:00:27:36:F3:36", "state": "unknown", "max_speed": null, "name": "eth1", "current_speed": null}, {"name": "eth0", "ip": "10.20.0.6", "state": "unknown", "mac": "08:00:27:B3:B5:5A", "max_speed": null, "current_speed": null, "netmask": "255.255.255.0"}], "disks": [{"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "name": "sdc", "size": 68719476736}, {"model": "VBOX HARDDISK", "disk": "sdb", "name": "sdb", "size": 34359738368}, {"model": "VBOX HARDDISK", "disk": "sda", "name": "sda", "size": 17179869184}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1983}]}, "memory": {"total": 1571713024}}	08:00:27:b3:b5:5a	10.20.0.6	node-2.domain.tld	VirtualBox	\N	100	ubuntu	f	f	\N	\N	2013-12-11 12:46:35.442671	t
4	1	Untitled (0A:EF)	ready	{"system": {"serial": "0", "version": "1.2", "fqdn": "node-4", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"name": "eth2", "ip": "172.16.0.5", "state": "unknown", "mac": "08:00:27:DA:15:14", "max_speed": null, "current_speed": null, "netmask": "255.255.255.0"}, {"mac": "08:00:27:B4:7F:B6", "state": "unknown", "max_speed": null, "name": "eth1", "current_speed": null}, {"name": "eth0", "ip": "10.20.0.14", "state": "unknown", "mac": "08:00:27:A8:0A:EF", "max_speed": null, "current_speed": null, "netmask": "255.255.255.0"}], "disks": [{"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "name": "sdc", "size": 68719476736}, {"model": "VBOX HARDDISK", "disk": "sdb", "name": "sdb", "size": 34359738368}, {"model": "VBOX HARDDISK", "disk": "sda", "name": "sda", "size": 17179869184}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 2083}]}, "memory": {"total": 1571713024}}	08:00:27:a8:0a:ef	10.20.0.14	node-4.domain.tld	VirtualBox	\N	100	ubuntu	f	f	\N	\N	2013-12-11 12:46:27.175218	t
3	1	Untitled (C2:5D)	ready	{"system": {"serial": "0", "version": "1.2", "fqdn": "node-3", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"name": "eth2", "ip": "172.16.0.4", "state": "unknown", "mac": "08:00:27:9A:B1:85", "max_speed": null, "current_speed": null, "netmask": "255.255.255.0"}, {"mac": "08:00:27:47:60:40", "state": "unknown", "max_speed": null, "name": "eth1", "current_speed": null}, {"name": "eth0", "ip": "10.20.0.9", "state": "unknown", "mac": "08:00:27:4A:C2:5D", "max_speed": null, "current_speed": null, "netmask": "255.255.255.0"}], "disks": [{"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "name": "sdc", "size": 68719476736}, {"model": "VBOX HARDDISK", "disk": "sdb", "name": "sdb", "size": 34359738368}, {"model": "VBOX HARDDISK", "disk": "sda", "name": "sda", "size": 17179869184}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1991}]}, "memory": {"total": 1571713024}}	08:00:27:4a:c2:5d	10.20.0.9	node-3.domain.tld	VirtualBox	\N	100	ubuntu	f	f	\N	\N	2013-12-11 12:46:23.863753	t
11	3	Untitled (C8:DC)	ready	{"system": {"serial": "0", "version": "1.2", "fqdn": "node-11", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:1D:7F:B6", "state": "unknown", "max_speed": null, "name": "eth2", "current_speed": null}, {"name": "eth1", "ip": "172.16.0.12", "state": "unknown", "mac": "08:00:27:E1:C9:97", "max_speed": null, "current_speed": null, "netmask": "255.255.255.0"}, {"name": "eth0", "ip": "10.20.0.33", "state": "unknown", "mac": "08:00:27:D0:C8:DC", "max_speed": null, "current_speed": null, "netmask": "255.255.255.0"}], "disks": [{"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "name": "sdc", "size": 68719476736}, {"model": "VBOX HARDDISK", "disk": "sdb", "name": "sdb", "size": 34359738368}, {"model": "VBOX HARDDISK", "disk": "sda", "name": "sda", "size": 17179869184}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1985}]}, "memory": {"total": 1571713024}}	08:00:27:d0:c8:dc	10.20.0.33	node-11.domain.tld	VirtualBox	\N	100	ubuntu	f	f	\N	\N	2013-12-11 12:46:35.199884	t
9	2	Untitled (75:6B)	ready	{"system": {"serial": "0", "version": "1.2", "fqdn": "node-9", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"name": "eth2", "state": "unknown", "ip": "172.16.0.10", "netmask": "255.255.255.0", "mac": "08:00:27:6F:AE:8A", "max_speed": null, "current_speed": null}, {"mac": "08:00:27:EF:BC:44", "max_speed": null, "state": "unknown", "current_speed": null, "name": "eth1"}, {"name": "eth0", "state": "unknown", "ip": "10.20.0.27", "netmask": "255.255.255.0", "mac": "08:00:27:ED:75:6B", "max_speed": null, "current_speed": null}], "disks": [{"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "name": "sdc", "size": 68719476736}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "name": "sdb", "size": 34359738368}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "name": "sda", "size": 17179869184}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1990}]}, "memory": {"total": 1573474304}}	08:00:27:ed:75:6b	10.20.0.27	node-9.domain.tld	VirtualBox	\N	100	centos	f	f	\N	\N	2013-12-11 12:46:21.617775	t
5	2	Untitled (3F:FB)	ready	{"system": {"serial": "0", "version": "1.2", "fqdn": "node-5", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"name": "eth2", "state": "unknown", "ip": "172.16.0.6", "mac": "08:00:27:BD:72:E3", "netmask": "255.255.255.0", "max_speed": null, "current_speed": null}, {"mac": "08:00:27:5C:A9:D4", "max_speed": null, "state": "unknown", "current_speed": null, "name": "eth1"}, {"name": "eth0", "state": "unknown", "ip": "10.20.0.16", "netmask": "255.255.255.0", "mac": "08:00:27:56:3F:FB", "max_speed": null, "current_speed": null}], "disks": [{"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "name": "sdc", "size": 68719476736}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "name": "sdb", "size": 34359738368}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "name": "sda", "size": 17179869184}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1991}]}, "memory": {"total": 1573474304}}	08:00:27:56:3f:fb	10.20.0.16	node-5.domain.tld	VirtualBox	\N	100	centos	f	f	\N	\N	2013-12-11 12:46:11.960861	t
8	2	Untitled (0A:83)	ready	{"system": {"serial": "0", "version": "1.2", "fqdn": "node-8", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"name": "eth2", "state": "unknown", "ip": "172.16.0.9", "netmask": "255.255.255.0", "mac": "08:00:27:2A:05:07", "max_speed": null, "current_speed": null}, {"mac": "08:00:27:D7:2E:56", "max_speed": null, "state": "unknown", "current_speed": null, "name": "eth1"}, {"name": "eth0", "state": "unknown", "ip": "10.20.0.26", "mac": "08:00:27:62:0A:83", "netmask": "255.255.255.0", "max_speed": null, "current_speed": null}], "disks": [{"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "name": "sdc", "size": 68719476736}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "name": "sdb", "size": 34359738368}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "name": "sda", "size": 17179869184}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1991}]}, "memory": {"total": 1573474304}}	08:00:27:62:0a:83	10.20.0.26	node-8.domain.tld	VirtualBox	\N	100	centos	f	f	\N	\N	2013-12-11 12:46:06.324311	t
7	2	Untitled (74:29)	ready	{"system": {"serial": "0", "version": "1.2", "fqdn": "node-7", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"name": "eth2", "state": "unknown", "ip": "172.16.0.8", "mac": "08:00:27:52:BF:A7", "netmask": "255.255.255.0", "max_speed": null, "current_speed": null}, {"mac": "08:00:27:77:F0:9C", "max_speed": null, "state": "unknown", "current_speed": null, "name": "eth1"}, {"name": "eth0", "state": "unknown", "ip": "10.20.0.23", "netmask": "255.255.255.0", "mac": "08:00:27:BF:74:29", "max_speed": null, "current_speed": null}], "disks": [{"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "name": "sdc", "size": 68719476736}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "name": "sdb", "size": 34359738368}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "name": "sda", "size": 17179869184}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1993}]}, "memory": {"total": 1573474304}}	08:00:27:bf:74:29	10.20.0.23	node-7.domain.tld	VirtualBox	\N	100	centos	f	f	\N	\N	2013-12-11 12:46:12.088622	t
1	1	Untitled (39:34)	ready	{"system": {"serial": "0", "version": "1.2", "fqdn": "node-1", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"name": "eth2", "ip": "172.16.0.2", "state": "unknown", "mac": "08:00:27:C8:33:B5", "max_speed": null, "current_speed": null, "netmask": "255.255.255.0"}, {"mac": "08:00:27:06:88:F3", "state": "unknown", "max_speed": null, "name": "eth1", "current_speed": null}, {"name": "eth0", "ip": "10.20.0.4", "state": "unknown", "mac": "08:00:27:EB:39:34", "max_speed": null, "current_speed": null, "netmask": "255.255.255.0"}], "disks": [{"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "name": "sdc", "size": 68719476736}, {"model": "VBOX HARDDISK", "disk": "sdb", "name": "sdb", "size": 34359738368}, {"model": "VBOX HARDDISK", "disk": "sda", "name": "sda", "size": 17179869184}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1985}]}, "memory": {"total": 1571713024}}	08:00:27:eb:39:34	10.20.0.4	node-1.domain.tld	VirtualBox	\N	100	ubuntu	f	f	\N	\N	2013-12-11 12:46:09.557851	t
6	2	Untitled (A0:D7)	ready	{"system": {"serial": "0", "version": "1.2", "fqdn": "node-6", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"name": "eth2", "state": "unknown", "ip": "172.16.0.7", "mac": "08:00:27:8E:8F:99", "netmask": "255.255.255.0", "max_speed": null, "current_speed": null}, {"mac": "08:00:27:44:13:D5", "max_speed": null, "state": "unknown", "current_speed": null, "name": "eth1"}, {"name": "eth0", "state": "unknown", "ip": "10.20.0.20", "mac": "08:00:27:7B:A0:D7", "netmask": "255.255.255.0", "max_speed": null, "current_speed": null}], "disks": [{"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "name": "sdc", "size": 68719476736}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "name": "sdb", "size": 34359738368}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "name": "sda", "size": 17179869184}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1990}]}, "memory": {"total": 1573474304}}	08:00:27:7b:a0:d7	10.20.0.20	node-6.domain.tld	VirtualBox	\N	100	centos	f	f	\N	\N	2013-12-11 12:46:08.561368	t
10	3	Untitled (60:31)	ready	{"system": {"serial": "0", "version": "1.2", "fqdn": "node-10", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:4F:E0:7B", "state": "unknown", "max_speed": null, "name": "eth2", "current_speed": null}, {"name": "eth1", "ip": "172.16.0.11", "state": "unknown", "mac": "08:00:27:17:53:A1", "max_speed": null, "current_speed": null, "netmask": "255.255.255.0"}, {"name": "eth0", "ip": "10.20.0.30", "state": "unknown", "mac": "08:00:27:0E:60:31", "max_speed": null, "current_speed": null, "netmask": "255.255.255.0"}], "disks": [{"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "name": "sdc", "size": 68719476736}, {"model": "VBOX HARDDISK", "disk": "sdb", "name": "sdb", "size": 34359738368}, {"model": "VBOX HARDDISK", "disk": "sda", "name": "sda", "size": 17179869184}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1984}]}, "memory": {"total": 1571713024}}	08:00:27:0e:60:31	10.20.0.30	node-10.domain.tld	VirtualBox	\N	100	ubuntu	f	f	\N	\N	2013-12-11 12:46:04.984658	t
\.


--
-- Data for Name: notifications; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY notifications (id, cluster_id, node_id, task_id, topic, message, status, datetime) FROM stdin;
1	\N	\N	\N	done	Master node installation has been completed successfully. Now you can boot new nodes over PXE, they will be discovered and become available for installing OpenStack on them	read	2013-12-11 08:05:09.461455
2	\N	1	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.12 TB HDD 	read	2013-12-11 08:16:28.147447
3	\N	2	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.12 TB HDD 	read	2013-12-11 08:17:09.583616
4	\N	3	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.12 TB HDD 	read	2013-12-11 08:17:10.533446
5	\N	4	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.12 TB HDD 	read	2013-12-11 08:17:14.314206
6	\N	5	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.12 TB HDD 	read	2013-12-11 08:17:29.772456
7	\N	6	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.12 TB HDD 	read	2013-12-11 08:17:34.472344
8	\N	7	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.12 TB HDD 	read	2013-12-11 08:17:26.227793
9	\N	8	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.12 TB HDD 	read	2013-12-11 08:17:27.099837
10	\N	9	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.12 TB HDD 	read	2013-12-11 08:17:27.443241
11	\N	10	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.12 TB HDD 	read	2013-12-11 08:17:31.051
12	\N	11	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.12 TB HDD 	read	2013-12-11 08:17:39.19481
13	\N	12	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.12 TB HDD 	read	2013-12-11 08:17:41.11089
14	1	\N	\N	done	Deployment of environment 'test_ubuntu_simple_savanna_ceph' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.2/ or via internal network at http://10.20.0.4/	read	2013-12-11 08:54:08.456038
15	3	\N	\N	done	Deployment of environment 'test_ubuntu_simple' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.11/ or via internal network at http://10.20.0.30/	read	2013-12-11 09:00:48.063165
16	2	\N	\N	done	Deployment of environment 'test_centos_simple_ceph' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.6/ or via internal network at http://10.20.0.16/	read	2013-12-11 09:00:51.674456
17	\N	\N	\N	done	Snapshot is ready. Visit Support page to download	unread	2013-12-11 10:22:14.992777
\.


--
-- Data for Name: pending_node_roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY pending_node_roles (id, role, node) FROM stdin;
\.


--
-- Data for Name: plugins; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY plugins (id, type, name, state, version) FROM stdin;
\.


--
-- Data for Name: red_hat_accounts; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY red_hat_accounts (id, username, password, license_type, satellite, activation_key) FROM stdin;
\.


--
-- Data for Name: releases; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY releases (id, name, version, description, operating_system, state, networks_metadata, attributes_metadata, volumes_metadata, modes_metadata, roles_metadata) FROM stdin;
1	Havana on CentOS 6.4	2013.2	This option will install the OpenStack Havana packages using CentOS as a base operating system. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	CentOS	available	{"nova_network": {"networks": [{"name": "floating", "notation": "ip_ranges", "render_type": "ip_ranges", "assign_vip": false, "netmask": "255.255.255.0", "ip_range": ["172.16.0.128", "172.16.0.254"], "vlan_start": null, "render_addr_mask": null, "cidr": "172.16.0.0/24", "gateway": null, "use_gateway": false}, {"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "netmask": "255.255.255.0", "ip_range": ["172.16.0.2", "172.16.0.127"], "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "gateway": "172.16.0.1", "use_gateway": true}, {"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "netmask": "255.255.255.0", "ip_range": ["192.168.0.2", "192.168.0.254"], "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "gateway": null, "use_gateway": false}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "netmask": "255.255.255.0", "ip_range": ["192.168.1.2", "192.168.1.254"], "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "gateway": null, "use_gateway": false}, {"network_size": 256, "name": "fixed", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "netmask": "255.255.0.0", "ip_range": ["10.0.0.2", "10.0.255.254"], "vlan_start": 103, "render_addr_mask": null, "cidr": "10.0.0.0/16", "gateway": "10.0.0.1", "use_gateway": true}]}, "neutron": {"config": {"parameters": {"metadata": {"metadata_proxy_shared_secret": ""}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "database": {"username": null, "passwd": "", "database": null, "port": "3306", "provider": "mysql"}}}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "pool": ["172.16.0.0/24"], "ip_range": ["172.16.0.2", "172.16.0.126"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "use_gateway": false, "render_addr_mask": "internal", "pool": ["192.168.0.0/24"]}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "use_gateway": false, "render_addr_mask": "storage", "pool": ["192.168.1.0/24"]}]}}	{"generated": {"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "ceilometer": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "metering_secret": {"generator": "password"}}, "heat": {"db_password": {"generator": "password"}, "rabbit_user": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "murano": {"db_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "centos-x86_64"}}, "swift": {"user_password": {"generator": "password"}}, "savanna": {"db_password": {"generator": "password"}}}, "editable": {"access": {"password": {"weight": 20, "type": "password", "description": "Password for Administrator", "value": "admin", "label": "password"}, "user": {"weight": 10, "type": "text", "description": "Username for Administrator", "value": "admin", "label": "username"}, "tenant": {"weight": 30, "type": "text", "description": "Tenant (project) name for Administrator", "value": "admin", "label": "tenant"}, "email": {"weight": 40, "type": "text", "description": "Email address for Administrator", "value": "admin@example.org", "label": "email"}}, "syslog": {"syslog_port": {"weight": 20, "type": "text", "description": "Remote syslog port", "value": "514", "label": "Port"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "udp", "label": "Syslog transport protocol"}, "syslog_server": {"weight": 10, "type": "text", "description": "Remote syslog hostname", "value": "", "label": "Hostname"}}, "additional_components": {"murano": {"weight": 20, "type": "checkbox", "description": "If selected, Murano component will be installed", "value": false, "label": "Install Murano"}, "ceilometer": {"weight": 40, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "value": false, "label": "Install Ceilometer"}, "heat": {"weight": 30, "type": "hidden", "description": "", "value": false, "label": ""}, "savanna": {"weight": 10, "type": "checkbox", "description": "If selected, Savanna component will be installed", "value": false, "label": "Install Savanna"}}, "storage": {"osd_pool_size": {"weight": 70, "type": "text", "description": "Defines the number of object replicas in Ceph pools. At least that many Ceph-OSD nodes must be deployed.", "value": "2", "label": "Ceph object replication factor"}, "volumes_ceph": {"weight": 20, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "value": false, "label": "Ceph RBD for volumes"}, "images_ceph": {"weight": 30, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "value": false, "label": "Ceph RBD for images"}, "volumes_lvm": {"weight": 10, "type": "checkbox", "description": "Requires at least one Cinder node", "value": false, "label": "Cinder LVM over iSCSI for volumes"}, "objects_ceph": {"weight": 40, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes, incompatible with Swift", "value": false, "label": "Ceph rados-gw for objects"}}, "common": {"auto_assign_floating_ip": {"weight": 40, "type": "checkbox", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "value": false, "label": "Auto assign floating IP"}, "use_cow_images": {"weight": 50, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "value": true, "label": "Use qcow format for images"}, "auth_key": {"weight": 70, "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "value": "", "label": "Public Key"}, "compute_scheduler_driver": {"type": "radio", "values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "weight": 40, "value": "nova.scheduler.filter_scheduler.FilterScheduler", "label": "Scheduler driver"}, "libvirt_type": {"type": "radio", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "weight": 30, "value": "qemu", "label": "Hypervisor type"}, "start_guests_on_host_boot": {"weight": 60, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "value": true, "label": "Start guests on host boot"}, "vlan_splinters": {"weight": 45, "type": "checkbox", "description": "Use VLAN splinters Open vSwitch method on necessary network interfaces", "value": false, "label": "Enable 'OVS VLAN splinters' feature (Neutron only)"}, "debug": {"weight": 20, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "value": false, "label": "OpenStack debug logging"}}}}	{"volumes_roles_mapping": {"ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}], "other": [{"id": "os", "allocate_size": "all"}], "compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}]}, "volumes": [{"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}]}	{"ha_compact": {"description": "This configuration requires multiple OpenStack controllers (3+) and provides high availability for all OpenStack components, including MySQL/Galera, RabbitMQ, and Cinder, as well as OpenStack API services. Select this configuration if you want to build a production-grade OpenStack cloud with 6 nodes or more."}, "multinode": {"description": "In this configuration the OpenStack controller is deployed separately from the compute and cinder nodes. This mode assumes the presence of 1 controller node and 1 or more compute/cinder nodes. You can add more nodes to scale your cloud later."}}	{"cinder": {"name": "Cinder", "description": "Cinder provides an infrastructure for managing block storage volumes in OpenStack.  Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level storage."}, "controller": {"conflicts": ["compute"], "name": "Controller", "description": "The controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "compute": {"conflicts": ["controller"], "name": "Compute", "description": "A compute node creates, manages and terminates virtual machine instances."}, "ceph-osd": {"name": "Ceph OSD", "description": "Ceph OSD is the object storage daemon for the Ceph distributed file system.  It is responsible for storing objects on a local file system and providing access to them over the network, for example to Glance."}}
2	RHOS 3.0 for RHEL 6.4	2013.1.2	This option will install the Red Hat Enterprise Linux OpenStack Platform using RHEL as a base operating system.  With high availability features built in, you are getting a robust enterprise-grade OpenStack deployment.	RHEL	not_available	{"nova_network": {"networks": [{"name": "floating", "notation": "ip_ranges", "render_type": "ip_ranges", "assign_vip": false, "netmask": "255.255.255.0", "ip_range": ["172.16.0.128", "172.16.0.254"], "vlan_start": null, "render_addr_mask": null, "cidr": "172.16.0.0/24", "gateway": null, "use_gateway": false}, {"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "netmask": "255.255.255.0", "ip_range": ["172.16.0.2", "172.16.0.127"], "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "gateway": "172.16.0.1", "use_gateway": true}, {"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "netmask": "255.255.255.0", "ip_range": ["192.168.0.2", "192.168.0.254"], "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "gateway": null, "use_gateway": false}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "netmask": "255.255.255.0", "ip_range": ["192.168.1.2", "192.168.1.254"], "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "gateway": null, "use_gateway": false}, {"network_size": 256, "name": "fixed", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "netmask": "255.255.0.0", "ip_range": ["10.0.0.2", "10.0.255.254"], "vlan_start": 103, "render_addr_mask": null, "cidr": "10.0.0.0/16", "gateway": "10.0.0.1", "use_gateway": true}]}}	{"generated": {"base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "storage": {"osd_pool_size": "2", "volumes_ceph": false, "images_ceph": false, "volumes_lvm": true, "objects_ceph": false}, "murano": {"enabled": false}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "heat": {"enabled": false}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "rhel-x86_64"}}, "swift": {"user_password": {"generator": "password"}}, "savanna": {"enabled": false}}, "editable": {"access": {"password": {"weight": 20, "type": "password", "description": "Password for Administrator", "value": "admin", "label": "password"}, "user": {"weight": 10, "type": "text", "description": "Username for Administrator", "value": "admin", "label": "username"}, "tenant": {"weight": 30, "type": "text", "description": "Tenant (project) name for Administrator", "value": "admin", "label": "tenant"}, "email": {"weight": 40, "type": "text", "description": "Email address for Administrator", "value": "admin@example.org", "label": "email"}}, "syslog": {"syslog_port": {"weight": 20, "type": "text", "description": "Remote syslog port", "value": "514", "label": "Port"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "udp", "label": "Syslog transport protocol"}, "syslog_server": {"weight": 10, "type": "text", "description": "Remote syslog hostname", "value": "", "label": "Hostname"}}, "storage": {"volumes_lvm": {"weight": 10, "type": "checkbox", "description": "Requires at least one Cinder node", "value": false, "label": "Cinder LVM over iSCSI for volumes"}}, "common": {"auto_assign_floating_ip": {"weight": 40, "type": "checkbox", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "value": false, "label": "Auto assign floating IP"}, "use_cow_images": {"weight": 50, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "value": true, "label": "Use qcow format for images"}, "auth_key": {"weight": 80, "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "value": "", "label": "Public Key"}, "compute_scheduler_driver": {"type": "radio", "values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "weight": 60, "value": "nova.scheduler.filter_scheduler.FilterScheduler", "label": "Scheduler driver"}, "libvirt_type": {"type": "radio", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "weight": 30, "value": "qemu", "label": "Hypervisor type"}, "start_guests_on_host_boot": {"weight": 70, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "value": true, "label": "Start guests on host boot"}, "debug": {"weight": 20, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "value": false, "label": "OpenStack debug logging"}}}}	{"volumes_roles_mapping": {"cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}], "other": [{"id": "os", "allocate_size": "all"}], "compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}]}, "volumes": [{"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}]}	{"ha_compact": {"description": "This configuration requires multiple OpenStack controllers (3+) and provides high availability for all OpenStack components, including MySQL, QPID, and Cinder, as well as OpenStack API services. Select this configuration if you want to build a production-grade OpenStack cloud with 6 nodes or more."}, "multinode": {"description": "In this configuration the OpenStack controller is deployed separately from the compute and cinder nodes. This mode assumes the presence of 1 controller node and 1 or more compute/cinder nodes. You can add more nodes to scale your cloud later."}}	{"cinder": {"name": "Cinder", "description": "Cinder provides an infrastructure for managing block storage volumes in OpenStack.  Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level storage."}, "controller": {"conflicts": ["compute"], "name": "Controller", "description": "The controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "compute": {"conflicts": ["controller"], "name": "Compute", "description": "A compute node creates, manages and terminates virtual machine instances."}}
3	Havana on Ubuntu 12.04	2013.2	This option will install the OpenStack Havana packages using Ubuntu as a base operating system. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	Ubuntu	available	{"nova_network": {"networks": [{"name": "floating", "notation": "ip_ranges", "render_type": "ip_ranges", "assign_vip": false, "netmask": "255.255.255.0", "ip_range": ["172.16.0.128", "172.16.0.254"], "vlan_start": null, "render_addr_mask": null, "cidr": "172.16.0.0/24", "gateway": null, "use_gateway": false}, {"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "netmask": "255.255.255.0", "ip_range": ["172.16.0.2", "172.16.0.127"], "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "gateway": "172.16.0.1", "use_gateway": true}, {"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "netmask": "255.255.255.0", "ip_range": ["192.168.0.2", "192.168.0.254"], "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "gateway": null, "use_gateway": false}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "netmask": "255.255.255.0", "ip_range": ["192.168.1.2", "192.168.1.254"], "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "gateway": null, "use_gateway": false}, {"network_size": 256, "name": "fixed", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "netmask": "255.255.0.0", "ip_range": ["10.0.0.2", "10.0.255.254"], "vlan_start": 103, "render_addr_mask": null, "cidr": "10.0.0.0/16", "gateway": "10.0.0.1", "use_gateway": true}]}, "neutron": {"config": {"parameters": {"metadata": {"metadata_proxy_shared_secret": ""}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "database": {"username": null, "passwd": "", "database": null, "port": "3306", "provider": "mysql"}}}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "pool": ["172.16.0.0/24"], "ip_range": ["172.16.0.2", "172.16.0.126"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "use_gateway": false, "render_addr_mask": "internal", "pool": ["192.168.0.0/24"]}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "use_gateway": false, "render_addr_mask": "storage", "pool": ["192.168.1.0/24"]}]}}	{"generated": {"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "ceilometer": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "metering_secret": {"generator": "password"}}, "heat": {"db_password": {"generator": "password"}, "rabbit_user": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "ubuntu_1204_x86_64"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "murano": {"db_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "swift": {"user_password": {"generator": "password"}}, "savanna": {"db_password": {"generator": "password"}}}, "editable": {"access": {"password": {"weight": 20, "type": "password", "description": "Password for Administrator", "value": "admin", "label": "password"}, "user": {"weight": 10, "type": "text", "description": "Username for Administrator", "value": "admin", "label": "username"}, "tenant": {"weight": 30, "type": "text", "description": "Tenant (project) name for Administrator", "value": "admin", "label": "tenant"}, "email": {"weight": 40, "type": "text", "description": "Email address for Administrator", "value": "admin@example.org", "label": "email"}}, "syslog": {"syslog_port": {"weight": 20, "type": "text", "description": "Remote syslog port", "value": "514", "label": "Port"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "udp", "label": "Syslog transport protocol"}, "syslog_server": {"weight": 10, "type": "text", "description": "Remote syslog hostname", "value": "", "label": "Hostname"}}, "additional_components": {"murano": {"weight": 20, "type": "checkbox", "description": "If selected, Murano component will be installed", "value": false, "label": "Install Murano"}, "ceilometer": {"weight": 40, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "value": false, "label": "Install Ceilometer"}, "heat": {"weight": 30, "type": "hidden", "description": "", "value": false, "label": ""}, "savanna": {"weight": 10, "type": "checkbox", "description": "If selected, Savanna component will be installed", "value": false, "label": "Install Savanna"}}, "storage": {"osd_pool_size": {"weight": 70, "type": "text", "description": "Defines the number of object replicas in Ceph pools. At least that many Ceph-OSD nodes must be deployed.", "value": "2", "label": "Ceph object replication factor"}, "volumes_ceph": {"weight": 20, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "value": false, "label": "Ceph RBD for volumes"}, "images_ceph": {"weight": 30, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "value": false, "label": "Ceph RBD for images"}, "volumes_lvm": {"weight": 10, "type": "checkbox", "description": "Requires at least one Cinder node", "value": false, "label": "Cinder LVM over iSCSI for volumes"}, "objects_ceph": {"weight": 40, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes, incompatible with Swift", "value": false, "label": "Ceph rados-gw for objects"}}, "common": {"auto_assign_floating_ip": {"weight": 40, "type": "checkbox", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "value": false, "label": "Auto assign floating IP"}, "use_cow_images": {"weight": 50, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "value": true, "label": "Use qcow format for images"}, "auth_key": {"weight": 80, "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "value": "", "label": "Public Key"}, "compute_scheduler_driver": {"type": "radio", "values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "weight": 70, "value": "nova.scheduler.filter_scheduler.FilterScheduler", "label": "Scheduler driver"}, "libvirt_type": {"type": "radio", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "weight": 30, "value": "qemu", "label": "Hypervisor type"}, "start_guests_on_host_boot": {"weight": 60, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "value": true, "label": "Start guests on host boot"}, "vlan_splinters": {"weight": 45, "type": "checkbox", "description": "Use VLAN splinters Open vSwitch method on necessary network interfaces", "value": false, "label": "Enable 'OVS VLAN splinters' feature (Neutron only)"}, "debug": {"weight": 20, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "value": false, "label": "OpenStack debug logging"}}}}	{"volumes_roles_mapping": {"ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}], "other": [{"id": "os", "allocate_size": "all"}], "compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}]}, "volumes": [{"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}]}	{"ha_compact": {"description": "This configuration requires multiple OpenStack controllers (3+) and provides high availability for all OpenStack components, including MySQL/Galera, RabbitMQ, and Cinder, as well as OpenStack API services. Select this configuration if you want to build a production-grade OpenStack cloud with 6 nodes or more."}, "multinode": {"description": "In this configuration the OpenStack controller is deployed separately from the compute and cinder nodes. This mode assumes the presence of 1 controller node and 1 or more compute/cinder nodes. You can add more nodes to scale your cloud later."}}	{"cinder": {"name": "Cinder", "description": "Cinder provides an infrastructure for managing block storage volumes in OpenStack.  Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level storage."}, "controller": {"conflicts": ["compute"], "name": "Controller", "description": "The controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "compute": {"conflicts": ["controller"], "name": "Compute", "description": "A compute node creates, manages and terminates virtual machine instances."}, "ceph-osd": {"name": "Ceph OSD", "description": "Ceph OSD is the object storage daemon for the Ceph distributed file system.  It is responsible for storing objects on a local file system and providing access to them over the network, for example to Glance."}}
\.


--
-- Data for Name: roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY roles (id, release_id, name) FROM stdin;
1	1	controller
2	1	compute
3	1	cinder
4	1	ceph-osd
5	2	controller
6	2	compute
7	2	cinder
8	3	controller
9	3	compute
10	3	cinder
11	3	ceph-osd
12	\N	controller
13	\N	compute
14	\N	ceph-osd
15	\N	ceph-osd
16	\N	controller
17	\N	compute
18	\N	ceph-osd
19	\N	ceph-osd
20	\N	controller
21	\N	compute
22	\N	ceph-osd
23	\N	ceph-osd
24	\N	ceph-osd
25	\N	controller
26	\N	compute
27	\N	ceph-osd
28	\N	ceph-osd
29	\N	ceph-osd
30	\N	controller
31	\N	compute
32	\N	cinder
33	\N	controller
34	\N	compute
35	\N	cinder
\.


--
-- Data for Name: tasks; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY tasks (id, cluster_id, uuid, name, message, status, progress, cache, result, parent_id, weight) FROM stdin;
8	1	9d11efa8-f2a8-40f7-b710-a332007f53b5	deployment	Deployment of environment 'test_ubuntu_simple_savanna_ceph' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.2/ or via internal network at http://10.20.0.4/	ready	100	{"respond_to": "deploy_resp", "method": "deploy", "args": {"task_uuid": "9d11efa8-f2a8-40f7-b710-a332007f53b5", "deployment_info": [{"management_interface": "eth2.101", "use_cow_images": true, "uid": "1", "vlan_interface": "eth2", "floating_interface": "eth2", "storage_interface": "eth2.102", "syslog": {"syslog_port": "514", "syslog_transport": "udp", "syslog_server": ""}, "libvirt_type": "qemu", "cobbler": {"profile": "ubuntu_1204_x86_64"}, "mysql": {"root_password": "uHS4b7TF"}, "glance": {"image_cache_max_size": "10002995609", "user_password": "xhhSPuqG", "db_password": "5SCTdQzN"}, "public_interface": "eth2", "network_data": {"eth2.102": {"interface": "eth2.102", "ipaddr": ["192.168.1.2/24"]}, "eth2.101": {"interface": "eth2.101", "ipaddr": ["192.168.0.2/24"]}, "lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth2": {"interface": "eth2", "ipaddr": ["172.16.0.2/24"], "gateway": "172.16.0.1"}, "eth1": {"interface": "eth1", "ipaddr": "none"}, "eth0": {"interface": "eth0", "ipaddr": ["10.20.0.4/24"]}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "3gm2j6qI"}, "keystone": {"admin_password": "DWMD0HNg"}, "database": {"passwd": "QM2fgedE"}}, "swift": {"user_password": "zH1ZsFSY"}, "storage": {"osd_pool_size": "2", "volumes_lvm": false, "images_ceph": false, "volumes_ceph": true, "objects_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "LaFNbhZ7", "user_password": "t4amjP7h", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 100, "murano": {"db_password": "wcZudyqt", "enabled": false}, "role": "controller", "vlan_splinters": false, "online": true, "keystone": {"db_password": "J6d63Dr4", "admin_token": "8lgbcq38"}, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "1", "public_address": "172.16.0.2", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.2", "storage_address": "192.168.1.2", "name": "node-1"}, {"storage_netmask": "255.255.255.0", "uid": "2", "public_address": "172.16.0.3", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.3", "name": "node-2"}, {"storage_netmask": "255.255.255.0", "uid": "3", "public_address": "172.16.0.4", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.4", "name": "node-3"}, {"storage_netmask": "255.255.255.0", "uid": "4", "public_address": "172.16.0.5", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.5", "name": "node-4"}], "status": "discover", "deployment_mode": "multinode", "novanetwork_parameters": {"vlan_start": 103, "network_manager": "VlanManager", "network_size": 64, "num_networks": 4}, "heat": {"db_password": "diYwpvHi", "enabled": false, "rabbit_user": "g4GwORCV", "rabbit_password": "D2P2y7m4"}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "kVFIC4Rl"}, "ceilometer": {"db_password": "4GkNckp2", "user_password": "Hzs98lsl", "metering_secret": "0uFGQd2p", "enabled": false}, "management_network_range": "192.168.0.0/24", "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "storage_network_range": "192.168.1.0/24", "floating_network_range": ["172.16.0.128-172.16.0.254"], "auth_key": "", "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "fqdn": "node-1.domain.tld", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth2", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": false, "cinder": {"db_password": "MZjLP1PP", "user_password": "E8t08KkT"}, "deployment_id": 1, "savanna": {"db_password": "PgLOMnrm", "enabled": true}}, {"management_interface": "eth2.101", "use_cow_images": true, "uid": "2", "vlan_interface": "eth2", "floating_interface": "eth2", "storage_interface": "eth2.102", "syslog": {"syslog_port": "514", "syslog_transport": "udp", "syslog_server": ""}, "libvirt_type": "qemu", "cobbler": {"profile": "ubuntu_1204_x86_64"}, "mysql": {"root_password": "uHS4b7TF"}, "glance": {"image_cache_max_size": "5368709120", "user_password": "xhhSPuqG", "db_password": "5SCTdQzN"}, "public_interface": "eth2", "network_data": {"eth2.102": {"interface": "eth2.102", "ipaddr": ["192.168.1.3/24"]}, "eth2.101": {"interface": "eth2.101", "ipaddr": ["192.168.0.3/24"]}, "lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth2": {"interface": "eth2", "ipaddr": ["172.16.0.3/24"], "gateway": "172.16.0.1"}, "eth1": {"interface": "eth1", "ipaddr": "none"}, "eth0": {"interface": "eth0", "ipaddr": ["10.20.0.6/24"]}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "3gm2j6qI"}, "keystone": {"admin_password": "DWMD0HNg"}, "database": {"passwd": "QM2fgedE"}}, "swift": {"user_password": "zH1ZsFSY"}, "storage": {"osd_pool_size": "2", "volumes_lvm": false, "images_ceph": false, "volumes_ceph": true, "objects_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "LaFNbhZ7", "user_password": "t4amjP7h", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 200, "murano": {"db_password": "wcZudyqt", "enabled": false}, "role": "compute", "vlan_splinters": false, "online": true, "keystone": {"db_password": "J6d63Dr4", "admin_token": "8lgbcq38"}, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "1", "public_address": "172.16.0.2", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.2", "storage_address": "192.168.1.2", "name": "node-1"}, {"storage_netmask": "255.255.255.0", "uid": "2", "public_address": "172.16.0.3", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.3", "name": "node-2"}, {"storage_netmask": "255.255.255.0", "uid": "3", "public_address": "172.16.0.4", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.4", "name": "node-3"}, {"storage_netmask": "255.255.255.0", "uid": "4", "public_address": "172.16.0.5", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.5", "name": "node-4"}], "status": "discover", "deployment_mode": "multinode", "novanetwork_parameters": {"vlan_start": 103, "network_manager": "VlanManager", "network_size": 64, "num_networks": 4}, "heat": {"db_password": "diYwpvHi", "enabled": false, "rabbit_user": "g4GwORCV", "rabbit_password": "D2P2y7m4"}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "kVFIC4Rl"}, "ceilometer": {"db_password": "4GkNckp2", "user_password": "Hzs98lsl", "metering_secret": "0uFGQd2p", "enabled": false}, "management_network_range": "192.168.0.0/24", "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "storage_network_range": "192.168.1.0/24", "floating_network_range": ["172.16.0.128-172.16.0.254"], "auth_key": "", "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "fqdn": "node-2.domain.tld", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth2", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": false, "cinder": {"db_password": "MZjLP1PP", "user_password": "E8t08KkT"}, "deployment_id": 1, "savanna": {"db_password": "PgLOMnrm", "enabled": true}}, {"management_interface": "eth2.101", "use_cow_images": true, "uid": "3", "vlan_interface": "eth2", "floating_interface": "eth2", "storage_interface": "eth2.102", "syslog": {"syslog_port": "514", "syslog_transport": "udp", "syslog_server": ""}, "libvirt_type": "qemu", "cobbler": {"profile": "ubuntu_1204_x86_64"}, "mysql": {"root_password": "uHS4b7TF"}, "glance": {"image_cache_max_size": "5368709120", "user_password": "xhhSPuqG", "db_password": "5SCTdQzN"}, "public_interface": "eth2", "network_data": {"eth2.102": {"interface": "eth2.102", "ipaddr": ["192.168.1.4/24"]}, "eth2.101": {"interface": "eth2.101", "ipaddr": ["192.168.0.4/24"]}, "lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth2": {"interface": "eth2", "ipaddr": ["172.16.0.4/24"], "gateway": "172.16.0.1"}, "eth1": {"interface": "eth1", "ipaddr": "none"}, "eth0": {"interface": "eth0", "ipaddr": ["10.20.0.9/24"]}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "3gm2j6qI"}, "keystone": {"admin_password": "DWMD0HNg"}, "database": {"passwd": "QM2fgedE"}}, "swift": {"user_password": "zH1ZsFSY"}, "storage": {"osd_pool_size": "2", "volumes_lvm": false, "images_ceph": false, "volumes_ceph": true, "objects_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "LaFNbhZ7", "user_password": "t4amjP7h", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 200, "murano": {"db_password": "wcZudyqt", "enabled": false}, "role": "ceph-osd", "vlan_splinters": false, "online": true, "keystone": {"db_password": "J6d63Dr4", "admin_token": "8lgbcq38"}, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "1", "public_address": "172.16.0.2", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.2", "storage_address": "192.168.1.2", "name": "node-1"}, {"storage_netmask": "255.255.255.0", "uid": "2", "public_address": "172.16.0.3", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.3", "name": "node-2"}, {"storage_netmask": "255.255.255.0", "uid": "3", "public_address": "172.16.0.4", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.4", "name": "node-3"}, {"storage_netmask": "255.255.255.0", "uid": "4", "public_address": "172.16.0.5", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.5", "name": "node-4"}], "status": "discover", "deployment_mode": "multinode", "novanetwork_parameters": {"vlan_start": 103, "network_manager": "VlanManager", "network_size": 64, "num_networks": 4}, "heat": {"db_password": "diYwpvHi", "enabled": false, "rabbit_user": "g4GwORCV", "rabbit_password": "D2P2y7m4"}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "kVFIC4Rl"}, "ceilometer": {"db_password": "4GkNckp2", "user_password": "Hzs98lsl", "metering_secret": "0uFGQd2p", "enabled": false}, "management_network_range": "192.168.0.0/24", "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "storage_network_range": "192.168.1.0/24", "floating_network_range": ["172.16.0.128-172.16.0.254"], "auth_key": "", "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "fqdn": "node-3.domain.tld", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth2", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": false, "cinder": {"db_password": "MZjLP1PP", "user_password": "E8t08KkT"}, "deployment_id": 1, "savanna": {"db_password": "PgLOMnrm", "enabled": true}}, {"management_interface": "eth2.101", "use_cow_images": true, "uid": "4", "vlan_interface": "eth2", "floating_interface": "eth2", "storage_interface": "eth2.102", "syslog": {"syslog_port": "514", "syslog_transport": "udp", "syslog_server": ""}, "libvirt_type": "qemu", "cobbler": {"profile": "ubuntu_1204_x86_64"}, "mysql": {"root_password": "uHS4b7TF"}, "glance": {"image_cache_max_size": "5368709120", "user_password": "xhhSPuqG", "db_password": "5SCTdQzN"}, "public_interface": "eth2", "network_data": {"eth2.102": {"interface": "eth2.102", "ipaddr": ["192.168.1.5/24"]}, "eth2.101": {"interface": "eth2.101", "ipaddr": ["192.168.0.5/24"]}, "lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth2": {"interface": "eth2", "ipaddr": ["172.16.0.5/24"], "gateway": "172.16.0.1"}, "eth1": {"interface": "eth1", "ipaddr": "none"}, "eth0": {"interface": "eth0", "ipaddr": ["10.20.0.14/24"]}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "3gm2j6qI"}, "keystone": {"admin_password": "DWMD0HNg"}, "database": {"passwd": "QM2fgedE"}}, "swift": {"user_password": "zH1ZsFSY"}, "storage": {"osd_pool_size": "2", "volumes_lvm": false, "images_ceph": false, "volumes_ceph": true, "objects_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "LaFNbhZ7", "user_password": "t4amjP7h", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 200, "murano": {"db_password": "wcZudyqt", "enabled": false}, "role": "ceph-osd", "vlan_splinters": false, "online": true, "keystone": {"db_password": "J6d63Dr4", "admin_token": "8lgbcq38"}, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "1", "public_address": "172.16.0.2", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.2", "storage_address": "192.168.1.2", "name": "node-1"}, {"storage_netmask": "255.255.255.0", "uid": "2", "public_address": "172.16.0.3", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.3", "name": "node-2"}, {"storage_netmask": "255.255.255.0", "uid": "3", "public_address": "172.16.0.4", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.4", "name": "node-3"}, {"storage_netmask": "255.255.255.0", "uid": "4", "public_address": "172.16.0.5", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.5", "name": "node-4"}], "status": "discover", "deployment_mode": "multinode", "novanetwork_parameters": {"vlan_start": 103, "network_manager": "VlanManager", "network_size": 64, "num_networks": 4}, "heat": {"db_password": "diYwpvHi", "enabled": false, "rabbit_user": "g4GwORCV", "rabbit_password": "D2P2y7m4"}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "kVFIC4Rl"}, "ceilometer": {"db_password": "4GkNckp2", "user_password": "Hzs98lsl", "metering_secret": "0uFGQd2p", "enabled": false}, "management_network_range": "192.168.0.0/24", "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "storage_network_range": "192.168.1.0/24", "floating_network_range": ["172.16.0.128-172.16.0.254"], "auth_key": "", "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "fqdn": "node-4.domain.tld", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth2", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": false, "cinder": {"db_password": "MZjLP1PP", "user_password": "E8t08KkT"}, "deployment_id": 1, "savanna": {"db_password": "PgLOMnrm", "enabled": true}}]}}	{}	4	1
4	1	7a615627-62af-44cb-aced-e2034725bc6e	deploy	Deployment of environment 'test_ubuntu_simple_savanna_ceph' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.2/ or via internal network at http://10.20.0.4/	ready	100	{}	{}	\N	1
18	3	cca9858e-138d-47ae-b9de-b6662b5cf1f5	check_dhcp		ready	0	{}	{}	17	1
25	1	a7985ff3-e985-4ecf-9079-5e1821698c8e	check_dhcp		ready	0	{}	{}	24	1
19	3	1143fa06-5692-47e0-b116-dd5612453741	deploy	Deployment of environment 'test_ubuntu_simple' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.11/ or via internal network at http://10.20.0.30/	ready	100	{}	{}	\N	1
16	2	48ee5162-954e-4307-ac67-5e795b589b71	deployment	Deployment of environment 'test_centos_simple_ceph' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.6/ or via internal network at http://10.20.0.16/	ready	100	{"respond_to": "deploy_resp", "method": "deploy", "args": {"task_uuid": "48ee5162-954e-4307-ac67-5e795b589b71", "deployment_info": [{"management_interface": "eth2.400", "use_cow_images": true, "uid": "5", "floating_interface": "eth2", "storage_interface": "eth2.401", "syslog": {"syslog_port": "514", "syslog_transport": "udp", "syslog_server": ""}, "libvirt_type": "qemu", "cobbler": {"profile": "centos-x86_64"}, "mysql": {"root_password": "bjy0gtjN"}, "glance": {"image_cache_max_size": "10002995609", "user_password": "hXHUbbt7", "db_password": "wCMgblXl"}, "public_interface": "eth2", "network_data": {"lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth2.402": {"interface": "eth2.402", "ipaddr": "none"}, "eth2.401": {"interface": "eth2.401", "ipaddr": ["192.168.1.6/24"]}, "eth2.400": {"interface": "eth2.400", "ipaddr": ["192.168.0.6/24"]}, "eth2": {"interface": "eth2", "ipaddr": ["172.16.0.6/24"], "gateway": "172.16.0.1"}, "eth1": {"interface": "eth1", "ipaddr": "none"}, "eth0": {"interface": "eth0", "ipaddr": ["10.20.0.16/24"]}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "uQoy9dal"}, "keystone": {"admin_password": "OoeniU4J"}, "database": {"passwd": "oAmfmBPZ"}}, "swift": {"user_password": "XVMN6szA"}, "storage": {"osd_pool_size": "2", "volumes_lvm": true, "images_ceph": true, "volumes_ceph": false, "objects_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "51dyJcWT", "user_password": "SfykiMeU", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 100, "murano": {"db_password": "KuuC2BQb", "enabled": false}, "role": "controller", "vlan_splinters": false, "online": true, "keystone": {"db_password": "WHyECv7y", "admin_token": "jdCY3AE1"}, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "5", "public_address": "172.16.0.6", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.6", "name": "node-5"}, {"storage_netmask": "255.255.255.0", "uid": "6", "public_address": "172.16.0.7", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.7", "name": "node-6"}, {"storage_netmask": "255.255.255.0", "uid": "7", "public_address": "172.16.0.8", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.8", "name": "node-7"}, {"storage_netmask": "255.255.255.0", "uid": "8", "public_address": "172.16.0.9", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.9", "name": "node-8"}, {"storage_netmask": "255.255.255.0", "uid": "9", "public_address": "172.16.0.10", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.10", "name": "node-9"}], "status": "discover", "deployment_mode": "multinode", "novanetwork_parameters": {"network_manager": "FlatDHCPManager", "network_size": 256}, "heat": {"db_password": "VbphiZzb", "enabled": false, "rabbit_user": "S17vkQzX", "rabbit_password": "EP33wwsT"}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "YcKU5nVY"}, "ceilometer": {"db_password": "SFpOghrZ", "user_password": "viqjqb4r", "metering_secret": "ZJkFQm4W", "enabled": false}, "management_network_range": "192.168.0.0/24", "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "storage_network_range": "192.168.1.0/24", "floating_network_range": ["172.16.0.128-172.16.0.254"], "auth_key": "", "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "fqdn": "node-5.domain.tld", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth2.402", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": false, "cinder": {"db_password": "xGzILlvz", "user_password": "AFT8S6Md"}, "deployment_id": 2, "savanna": {"db_password": "Nzde77zl", "enabled": false}}, {"management_interface": "eth2.400", "use_cow_images": true, "uid": "6", "floating_interface": "eth2", "storage_interface": "eth2.401", "syslog": {"syslog_port": "514", "syslog_transport": "udp", "syslog_server": ""}, "libvirt_type": "qemu", "cobbler": {"profile": "centos-x86_64"}, "mysql": {"root_password": "bjy0gtjN"}, "glance": {"image_cache_max_size": "5368709120", "user_password": "hXHUbbt7", "db_password": "wCMgblXl"}, "public_interface": "eth2", "network_data": {"lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth2.402": {"interface": "eth2.402", "ipaddr": "none"}, "eth2.401": {"interface": "eth2.401", "ipaddr": ["192.168.1.7/24"]}, "eth2.400": {"interface": "eth2.400", "ipaddr": ["192.168.0.7/24"]}, "eth2": {"interface": "eth2", "ipaddr": ["172.16.0.7/24"], "gateway": "172.16.0.1"}, "eth1": {"interface": "eth1", "ipaddr": "none"}, "eth0": {"interface": "eth0", "ipaddr": ["10.20.0.20/24"]}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "uQoy9dal"}, "keystone": {"admin_password": "OoeniU4J"}, "database": {"passwd": "oAmfmBPZ"}}, "swift": {"user_password": "XVMN6szA"}, "storage": {"osd_pool_size": "2", "volumes_lvm": true, "images_ceph": true, "volumes_ceph": false, "objects_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "51dyJcWT", "user_password": "SfykiMeU", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 200, "murano": {"db_password": "KuuC2BQb", "enabled": false}, "role": "compute", "vlan_splinters": false, "online": true, "keystone": {"db_password": "WHyECv7y", "admin_token": "jdCY3AE1"}, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "5", "public_address": "172.16.0.6", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.6", "name": "node-5"}, {"storage_netmask": "255.255.255.0", "uid": "6", "public_address": "172.16.0.7", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.7", "name": "node-6"}, {"storage_netmask": "255.255.255.0", "uid": "7", "public_address": "172.16.0.8", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.8", "name": "node-7"}, {"storage_netmask": "255.255.255.0", "uid": "8", "public_address": "172.16.0.9", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.9", "name": "node-8"}, {"storage_netmask": "255.255.255.0", "uid": "9", "public_address": "172.16.0.10", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.10", "name": "node-9"}], "status": "discover", "deployment_mode": "multinode", "novanetwork_parameters": {"network_manager": "FlatDHCPManager", "network_size": 256}, "heat": {"db_password": "VbphiZzb", "enabled": false, "rabbit_user": "S17vkQzX", "rabbit_password": "EP33wwsT"}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "YcKU5nVY"}, "ceilometer": {"db_password": "SFpOghrZ", "user_password": "viqjqb4r", "metering_secret": "ZJkFQm4W", "enabled": false}, "management_network_range": "192.168.0.0/24", "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "storage_network_range": "192.168.1.0/24", "floating_network_range": ["172.16.0.128-172.16.0.254"], "auth_key": "", "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "fqdn": "node-6.domain.tld", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth2.402", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": false, "cinder": {"db_password": "xGzILlvz", "user_password": "AFT8S6Md"}, "deployment_id": 2, "savanna": {"db_password": "Nzde77zl", "enabled": false}}, {"management_interface": "eth2.400", "use_cow_images": true, "uid": "7", "floating_interface": "eth2", "storage_interface": "eth2.401", "syslog": {"syslog_port": "514", "syslog_transport": "udp", "syslog_server": ""}, "libvirt_type": "qemu", "cobbler": {"profile": "centos-x86_64"}, "mysql": {"root_password": "bjy0gtjN"}, "glance": {"image_cache_max_size": "5368709120", "user_password": "hXHUbbt7", "db_password": "wCMgblXl"}, "public_interface": "eth2", "network_data": {"lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth2.402": {"interface": "eth2.402", "ipaddr": "none"}, "eth2.401": {"interface": "eth2.401", "ipaddr": ["192.168.1.8/24"]}, "eth2.400": {"interface": "eth2.400", "ipaddr": ["192.168.0.8/24"]}, "eth2": {"interface": "eth2", "ipaddr": ["172.16.0.8/24"], "gateway": "172.16.0.1"}, "eth1": {"interface": "eth1", "ipaddr": "none"}, "eth0": {"interface": "eth0", "ipaddr": ["10.20.0.23/24"]}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "uQoy9dal"}, "keystone": {"admin_password": "OoeniU4J"}, "database": {"passwd": "oAmfmBPZ"}}, "swift": {"user_password": "XVMN6szA"}, "storage": {"osd_pool_size": "2", "volumes_lvm": true, "images_ceph": true, "volumes_ceph": false, "objects_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "51dyJcWT", "user_password": "SfykiMeU", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 200, "murano": {"db_password": "KuuC2BQb", "enabled": false}, "role": "ceph-osd", "vlan_splinters": false, "online": true, "keystone": {"db_password": "WHyECv7y", "admin_token": "jdCY3AE1"}, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "5", "public_address": "172.16.0.6", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.6", "name": "node-5"}, {"storage_netmask": "255.255.255.0", "uid": "6", "public_address": "172.16.0.7", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.7", "name": "node-6"}, {"storage_netmask": "255.255.255.0", "uid": "7", "public_address": "172.16.0.8", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.8", "name": "node-7"}, {"storage_netmask": "255.255.255.0", "uid": "8", "public_address": "172.16.0.9", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.9", "name": "node-8"}, {"storage_netmask": "255.255.255.0", "uid": "9", "public_address": "172.16.0.10", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.10", "name": "node-9"}], "status": "discover", "deployment_mode": "multinode", "novanetwork_parameters": {"network_manager": "FlatDHCPManager", "network_size": 256}, "heat": {"db_password": "VbphiZzb", "enabled": false, "rabbit_user": "S17vkQzX", "rabbit_password": "EP33wwsT"}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "YcKU5nVY"}, "ceilometer": {"db_password": "SFpOghrZ", "user_password": "viqjqb4r", "metering_secret": "ZJkFQm4W", "enabled": false}, "management_network_range": "192.168.0.0/24", "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "storage_network_range": "192.168.1.0/24", "floating_network_range": ["172.16.0.128-172.16.0.254"], "auth_key": "", "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "fqdn": "node-7.domain.tld", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth2.402", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": false, "cinder": {"db_password": "xGzILlvz", "user_password": "AFT8S6Md"}, "deployment_id": 2, "savanna": {"db_password": "Nzde77zl", "enabled": false}}, {"management_interface": "eth2.400", "use_cow_images": true, "uid": "8", "floating_interface": "eth2", "storage_interface": "eth2.401", "syslog": {"syslog_port": "514", "syslog_transport": "udp", "syslog_server": ""}, "libvirt_type": "qemu", "cobbler": {"profile": "centos-x86_64"}, "mysql": {"root_password": "bjy0gtjN"}, "glance": {"image_cache_max_size": "5368709120", "user_password": "hXHUbbt7", "db_password": "wCMgblXl"}, "public_interface": "eth2", "network_data": {"lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth2.402": {"interface": "eth2.402", "ipaddr": "none"}, "eth2.401": {"interface": "eth2.401", "ipaddr": ["192.168.1.9/24"]}, "eth2.400": {"interface": "eth2.400", "ipaddr": ["192.168.0.9/24"]}, "eth2": {"interface": "eth2", "ipaddr": ["172.16.0.9/24"], "gateway": "172.16.0.1"}, "eth1": {"interface": "eth1", "ipaddr": "none"}, "eth0": {"interface": "eth0", "ipaddr": ["10.20.0.26/24"]}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "uQoy9dal"}, "keystone": {"admin_password": "OoeniU4J"}, "database": {"passwd": "oAmfmBPZ"}}, "swift": {"user_password": "XVMN6szA"}, "storage": {"osd_pool_size": "2", "volumes_lvm": true, "images_ceph": true, "volumes_ceph": false, "objects_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "51dyJcWT", "user_password": "SfykiMeU", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 200, "murano": {"db_password": "KuuC2BQb", "enabled": false}, "role": "ceph-osd", "vlan_splinters": false, "online": true, "keystone": {"db_password": "WHyECv7y", "admin_token": "jdCY3AE1"}, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "5", "public_address": "172.16.0.6", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.6", "name": "node-5"}, {"storage_netmask": "255.255.255.0", "uid": "6", "public_address": "172.16.0.7", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.7", "name": "node-6"}, {"storage_netmask": "255.255.255.0", "uid": "7", "public_address": "172.16.0.8", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.8", "name": "node-7"}, {"storage_netmask": "255.255.255.0", "uid": "8", "public_address": "172.16.0.9", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.9", "name": "node-8"}, {"storage_netmask": "255.255.255.0", "uid": "9", "public_address": "172.16.0.10", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.10", "name": "node-9"}], "status": "discover", "deployment_mode": "multinode", "novanetwork_parameters": {"network_manager": "FlatDHCPManager", "network_size": 256}, "heat": {"db_password": "VbphiZzb", "enabled": false, "rabbit_user": "S17vkQzX", "rabbit_password": "EP33wwsT"}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "YcKU5nVY"}, "ceilometer": {"db_password": "SFpOghrZ", "user_password": "viqjqb4r", "metering_secret": "ZJkFQm4W", "enabled": false}, "management_network_range": "192.168.0.0/24", "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "storage_network_range": "192.168.1.0/24", "floating_network_range": ["172.16.0.128-172.16.0.254"], "auth_key": "", "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "fqdn": "node-8.domain.tld", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth2.402", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": false, "cinder": {"db_password": "xGzILlvz", "user_password": "AFT8S6Md"}, "deployment_id": 2, "savanna": {"db_password": "Nzde77zl", "enabled": false}}, {"management_interface": "eth2.400", "use_cow_images": true, "uid": "9", "floating_interface": "eth2", "storage_interface": "eth2.401", "syslog": {"syslog_port": "514", "syslog_transport": "udp", "syslog_server": ""}, "libvirt_type": "qemu", "cobbler": {"profile": "centos-x86_64"}, "mysql": {"root_password": "bjy0gtjN"}, "glance": {"image_cache_max_size": "5368709120", "user_password": "hXHUbbt7", "db_password": "wCMgblXl"}, "public_interface": "eth2", "network_data": {"lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth2.402": {"interface": "eth2.402", "ipaddr": "none"}, "eth2.401": {"interface": "eth2.401", "ipaddr": ["192.168.1.10/24"]}, "eth2.400": {"interface": "eth2.400", "ipaddr": ["192.168.0.10/24"]}, "eth2": {"interface": "eth2", "ipaddr": ["172.16.0.10/24"], "gateway": "172.16.0.1"}, "eth1": {"interface": "eth1", "ipaddr": "none"}, "eth0": {"interface": "eth0", "ipaddr": ["10.20.0.27/24"]}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "uQoy9dal"}, "keystone": {"admin_password": "OoeniU4J"}, "database": {"passwd": "oAmfmBPZ"}}, "swift": {"user_password": "XVMN6szA"}, "storage": {"osd_pool_size": "2", "volumes_lvm": true, "images_ceph": true, "volumes_ceph": false, "objects_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "51dyJcWT", "user_password": "SfykiMeU", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 200, "murano": {"db_password": "KuuC2BQb", "enabled": false}, "role": "ceph-osd", "vlan_splinters": false, "online": true, "keystone": {"db_password": "WHyECv7y", "admin_token": "jdCY3AE1"}, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "5", "public_address": "172.16.0.6", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.6", "name": "node-5"}, {"storage_netmask": "255.255.255.0", "uid": "6", "public_address": "172.16.0.7", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.7", "name": "node-6"}, {"storage_netmask": "255.255.255.0", "uid": "7", "public_address": "172.16.0.8", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.8", "name": "node-7"}, {"storage_netmask": "255.255.255.0", "uid": "8", "public_address": "172.16.0.9", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.9", "name": "node-8"}, {"storage_netmask": "255.255.255.0", "uid": "9", "public_address": "172.16.0.10", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.10", "name": "node-9"}], "status": "discover", "deployment_mode": "multinode", "novanetwork_parameters": {"network_manager": "FlatDHCPManager", "network_size": 256}, "heat": {"db_password": "VbphiZzb", "enabled": false, "rabbit_user": "S17vkQzX", "rabbit_password": "EP33wwsT"}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "YcKU5nVY"}, "ceilometer": {"db_password": "SFpOghrZ", "user_password": "viqjqb4r", "metering_secret": "ZJkFQm4W", "enabled": false}, "management_network_range": "192.168.0.0/24", "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "storage_network_range": "192.168.1.0/24", "floating_network_range": ["172.16.0.128-172.16.0.254"], "auth_key": "", "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "fqdn": "node-9.domain.tld", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth2.402", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": false, "cinder": {"db_password": "xGzILlvz", "user_password": "AFT8S6Md"}, "deployment_id": 2, "savanna": {"db_password": "Nzde77zl", "enabled": false}}]}}	{}	12	1
12	2	9d6e03f4-9a06-4b52-82aa-8761c9e93316	deploy	Deployment of environment 'test_centos_simple_ceph' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.6/ or via internal network at http://10.20.0.16/	ready	100	{}	{}	\N	1
17	3	b7e43585-5b57-4305-a961-daf464aa8166	verify_networks		ready	100	{"respond_to": "verify_networks_resp", "subtasks": {"check_dhcp": {"task_uuid": "cca9858e-138d-47ae-b9de-b6662b5cf1f5", "respond_to": "check_dhcp_resp"}}, "method": "verify_networks", "args": {"task_uuid": "b7e43585-5b57-4305-a961-daf464aa8166", "nodes": [{"uid": 10, "networks": [{"vlans": [101, 102, 103], "iface": "eth2"}, {"vlans": [0, 0], "iface": "eth1"}, {"vlans": [0], "iface": "eth0"}]}, {"uid": 11, "networks": [{"vlans": [101, 102, 103], "iface": "eth2"}, {"vlans": [0, 0], "iface": "eth1"}, {"vlans": [0], "iface": "eth0"}]}, {"uid": 12, "networks": [{"vlans": [101, 102, 103], "iface": "eth2"}, {"vlans": [0, 0], "iface": "eth1"}, {"vlans": [0], "iface": "eth0"}]}]}}	[]	\N	1
15	2	44c9ea98-ba2b-4a73-866c-c01e93326b7d	provision	\N	ready	100	{"respond_to": "provision_resp", "method": "provision", "args": {"task_uuid": "44c9ea98-ba2b-4a73-866c-c01e93326b7d", "provisioning_info": {"engine": {"url": "http://localhost/cobbler_api", "username": "cobbler", "password": "cobbler"}, "nodes": [{"profile": "centos-x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "5", "interfaces": {"eth2": {"ip_address": "10.20.0.15", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:bd:72:e3"}, "eth1": {"ip_address": "10.20.0.17", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:5c:a9:d4"}, "eth0": {"ip_address": "10.20.0.16", "netmask": "255.255.255.0", "dns_name": "node-5.domain.tld", "static": "0", "mac_address": "08:00:27:56:3f:fb"}}, "interfaces_extra": {"eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "08:00:27:bd:72:e3_eth2,08:00:27:5c:a9:d4_eth1,08:00:27:56:3f:fb_eth0", "netcfg/choose_interface": "eth0"}, "power_address": "10.20.0.133", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 15820, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 1716, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 30552, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 64972, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 2048, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "size": 95396, "type": "lv", "name": "glance", "file_system": "xfs"}], "type": "vg", "id": "image"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "mco_connector": "rabbitmq", "mco_host": "10.20.0.2"}, "name": "node-5", "hostname": "node-5.domain.tld", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "centos-x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "6", "interfaces": {"eth2": {"ip_address": "10.20.0.19", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:8e:8f:99"}, "eth1": {"ip_address": "10.20.0.18", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:44:13:d5"}, "eth0": {"ip_address": "10.20.0.20", "netmask": "255.255.255.0", "dns_name": "node-6.domain.tld", "static": "0", "mac_address": "08:00:27:7b:a0:d7"}}, "interfaces_extra": {"eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "08:00:27:8e:8f:99_eth2,08:00:27:44:13:d5_eth1,08:00:27:7b:a0:d7_eth0", "netcfg/choose_interface": "eth0"}, "power_address": "10.20.0.151", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 15820, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 1716, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 30552, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 64972, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 2048, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "size": 95396, "type": "lv", "name": "nova", "file_system": "xfs"}], "type": "vg", "id": "vm"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "mco_connector": "rabbitmq", "mco_host": "10.20.0.2"}, "name": "node-6", "hostname": "node-6.domain.tld", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "centos-x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "7", "interfaces": {"eth2": {"ip_address": "10.20.0.21", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:52:bf:a7"}, "eth1": {"ip_address": "10.20.0.22", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:77:f0:9c"}, "eth0": {"ip_address": "10.20.0.23", "netmask": "255.255.255.0", "dns_name": "node-7.domain.tld", "static": "0", "mac_address": "08:00:27:bf:74:29"}}, "interfaces_extra": {"eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "08:00:27:52:bf:a7_eth2,08:00:27:77:f0:9c_eth1,08:00:27:bf:74:29_eth0", "netcfg/choose_interface": "eth0"}, "power_address": "10.20.0.195", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "sda", "free_space": 15820, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 15884, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32204, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 1652, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64972, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 2048, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "mco_connector": "rabbitmq", "mco_host": "10.20.0.2"}, "name": "node-7", "hostname": "node-7.domain.tld", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "centos-x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "8", "interfaces": {"eth2": {"ip_address": "10.20.0.24", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:2a:05:07"}, "eth1": {"ip_address": "10.20.0.25", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:d7:2e:56"}, "eth0": {"ip_address": "10.20.0.26", "netmask": "255.255.255.0", "dns_name": "node-8.domain.tld", "static": "0", "mac_address": "08:00:27:62:0a:83"}}, "interfaces_extra": {"eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "08:00:27:2a:05:07_eth2,08:00:27:d7:2e:56_eth1,08:00:27:62:0a:83_eth0", "netcfg/choose_interface": "eth0"}, "power_address": "10.20.0.143", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "sda", "free_space": 15820, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 15884, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32204, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 1652, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64972, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 2048, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "mco_connector": "rabbitmq", "mco_host": "10.20.0.2"}, "name": "node-8", "hostname": "node-8.domain.tld", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "centos-x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "9", "interfaces": {"eth2": {"ip_address": "10.20.0.28", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:6f:ae:8a"}, "eth1": {"ip_address": "10.20.0.29", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:ef:bc:44"}, "eth0": {"ip_address": "10.20.0.27", "netmask": "255.255.255.0", "dns_name": "node-9.domain.tld", "static": "0", "mac_address": "08:00:27:ed:75:6b"}}, "interfaces_extra": {"eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "08:00:27:6f:ae:8a_eth2,08:00:27:ef:bc:44_eth1,08:00:27:ed:75:6b_eth0", "netcfg/choose_interface": "eth0"}, "power_address": "10.20.0.207", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "sda", "free_space": 15820, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 15884, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32204, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 1652, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64972, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 2048, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "mco_connector": "rabbitmq", "mco_host": "10.20.0.2"}, "name": "node-9", "hostname": "node-9.domain.tld", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}]}}}	{}	12	1
27	2	415ae5a2-724a-401f-bafd-d6ae4c942f41	check_dhcp		ready	0	{}	{}	26	1
7	1	7ee90673-3685-4d7c-a8c1-682402b30f91	provision	\N	ready	100	{"respond_to": "provision_resp", "method": "provision", "args": {"task_uuid": "7ee90673-3685-4d7c-a8c1-682402b30f91", "provisioning_info": {"engine": {"url": "http://localhost/cobbler_api", "username": "cobbler", "password": "cobbler"}, "nodes": [{"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "1", "interfaces": {"eth2": {"ip_address": "10.20.0.3", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:c8:33:b5"}, "eth1": {"ip_address": "10.20.0.5", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:06:88:f3"}, "eth0": {"ip_address": "10.20.0.4", "netmask": "255.255.255.0", "dns_name": "node-1.domain.tld", "static": "0", "mac_address": "08:00:27:eb:39:34"}}, "interfaces_extra": {"eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "08:00:27:c8:33:b5_eth2,08:00:27:06:88:f3_eth1,08:00:27:eb:39:34_eth0", "netcfg/choose_interface": "eth0"}, "power_address": "10.20.0.191", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 15820, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 1716, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 30552, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 64972, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 2048, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "size": 95396, "type": "lv", "name": "glance", "file_system": "xfs"}], "type": "vg", "id": "image"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "mco_connector": "rabbitmq", "mco_host": "10.20.0.2"}, "name": "node-1", "hostname": "node-1.domain.tld", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "2", "interfaces": {"eth2": {"ip_address": "10.20.0.8", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:45:2b:76"}, "eth1": {"ip_address": "10.20.0.7", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:36:f3:36"}, "eth0": {"ip_address": "10.20.0.6", "netmask": "255.255.255.0", "dns_name": "node-2.domain.tld", "static": "0", "mac_address": "08:00:27:b3:b5:5a"}}, "interfaces_extra": {"eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "08:00:27:45:2b:76_eth2,08:00:27:36:f3:36_eth1,08:00:27:b3:b5:5a_eth0", "netcfg/choose_interface": "eth0"}, "power_address": "10.20.0.168", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 15820, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 1716, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 30552, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 64972, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 2048, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "size": 95396, "type": "lv", "name": "nova", "file_system": "xfs"}], "type": "vg", "id": "vm"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "mco_connector": "rabbitmq", "mco_host": "10.20.0.2"}, "name": "node-2", "hostname": "node-2.domain.tld", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "3", "interfaces": {"eth2": {"ip_address": "10.20.0.11", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:9a:b1:85"}, "eth1": {"ip_address": "10.20.0.10", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:47:60:40"}, "eth0": {"ip_address": "10.20.0.9", "netmask": "255.255.255.0", "dns_name": "node-3.domain.tld", "static": "0", "mac_address": "08:00:27:4a:c2:5d"}}, "interfaces_extra": {"eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "08:00:27:9a:b1:85_eth2,08:00:27:47:60:40_eth1,08:00:27:4a:c2:5d_eth0", "netcfg/choose_interface": "eth0"}, "power_address": "10.20.0.196", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "sda", "free_space": 15820, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 15884, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32204, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 1652, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64972, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 2048, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "mco_connector": "rabbitmq", "mco_host": "10.20.0.2"}, "name": "node-3", "hostname": "node-3.domain.tld", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "4", "interfaces": {"eth2": {"ip_address": "10.20.0.13", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:da:15:14"}, "eth1": {"ip_address": "10.20.0.12", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:b4:7f:b6"}, "eth0": {"ip_address": "10.20.0.14", "netmask": "255.255.255.0", "dns_name": "node-4.domain.tld", "static": "0", "mac_address": "08:00:27:a8:0a:ef"}}, "interfaces_extra": {"eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "08:00:27:da:15:14_eth2,08:00:27:b4:7f:b6_eth1,08:00:27:a8:0a:ef_eth0", "netcfg/choose_interface": "eth0"}, "power_address": "10.20.0.231", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "sda", "free_space": 15820, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 15884, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32204, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 1652, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64972, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 2048, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "mco_connector": "rabbitmq", "mco_host": "10.20.0.2"}, "name": "node-4", "hostname": "node-4.domain.tld", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}]}}}	{}	4	1
29	\N	64f6ae2b-30f6-438c-a2bd-7c0231bc402b	dump	\N	running	0	{"respond_to": "dump_environment_resp", "method": "dump_environment", "args": {"task_uuid": "64f6ae2b-30f6-438c-a2bd-7c0231bc402b", "lastdump": "/var/www/nailgun/dump/last"}}	{}	\N	1
26	2	c3eda83e-768c-4e09-b0b0-9c95271dc3b3	verify_networks		ready	100	{"respond_to": "verify_networks_resp", "subtasks": {"check_dhcp": {"task_uuid": "415ae5a2-724a-401f-bafd-d6ae4c942f41", "respond_to": "check_dhcp_resp"}}, "method": "verify_networks", "args": {"task_uuid": "c3eda83e-768c-4e09-b0b0-9c95271dc3b3", "nodes": [{"uid": 5, "networks": [{"vlans": [0, 0, 400, 401, 402], "iface": "eth2"}, {"vlans": [0], "iface": "eth0"}]}, {"uid": 6, "networks": [{"vlans": [0, 0, 400, 401, 402], "iface": "eth2"}, {"vlans": [0], "iface": "eth0"}]}, {"uid": 7, "networks": [{"vlans": [0, 0, 400, 401, 402], "iface": "eth2"}, {"vlans": [0], "iface": "eth0"}]}, {"uid": 8, "networks": [{"vlans": [0, 0, 400, 401, 402], "iface": "eth2"}, {"vlans": [0], "iface": "eth0"}]}, {"uid": 9, "networks": [{"vlans": [0, 0, 400, 401, 402], "iface": "eth2"}, {"vlans": [0], "iface": "eth0"}]}]}}	[]	\N	1
22	3	0aa54d55-767e-4fa3-babe-37562cd8556a	provision	\N	ready	100	{"respond_to": "provision_resp", "method": "provision", "args": {"task_uuid": "0aa54d55-767e-4fa3-babe-37562cd8556a", "provisioning_info": {"engine": {"url": "http://localhost/cobbler_api", "username": "cobbler", "password": "cobbler"}, "nodes": [{"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "10", "interfaces": {"eth2": {"ip_address": "10.20.0.32", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:4f:e0:7b"}, "eth1": {"ip_address": "10.20.0.31", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:17:53:a1"}, "eth0": {"ip_address": "10.20.0.30", "netmask": "255.255.255.0", "dns_name": "node-10.domain.tld", "static": "0", "mac_address": "08:00:27:0e:60:31"}}, "interfaces_extra": {"eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "08:00:27:4f:e0:7b_eth2,08:00:27:17:53:a1_eth1,08:00:27:0e:60:31_eth0", "netcfg/choose_interface": "eth0"}, "power_address": "10.20.0.218", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 15820, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 1716, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 30552, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 64972, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 2048, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "size": 95396, "type": "lv", "name": "glance", "file_system": "xfs"}], "type": "vg", "id": "image"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "mco_connector": "rabbitmq", "mco_host": "10.20.0.2"}, "name": "node-10", "hostname": "node-10.domain.tld", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "11", "interfaces": {"eth2": {"ip_address": "10.20.0.35", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:1d:7f:b6"}, "eth1": {"ip_address": "10.20.0.34", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:e1:c9:97"}, "eth0": {"ip_address": "10.20.0.33", "netmask": "255.255.255.0", "dns_name": "node-11.domain.tld", "static": "0", "mac_address": "08:00:27:d0:c8:dc"}}, "interfaces_extra": {"eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "08:00:27:1d:7f:b6_eth2,08:00:27:e1:c9:97_eth1,08:00:27:d0:c8:dc_eth0", "netcfg/choose_interface": "eth0"}, "power_address": "10.20.0.221", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 15820, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 1716, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 30552, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 64972, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 2048, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "size": 95396, "type": "lv", "name": "nova", "file_system": "xfs"}], "type": "vg", "id": "vm"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "mco_connector": "rabbitmq", "mco_host": "10.20.0.2"}, "name": "node-11", "hostname": "node-11.domain.tld", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "12", "interfaces": {"eth2": {"ip_address": "10.20.0.37", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:32:3f:68"}, "eth1": {"ip_address": "10.20.0.36", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:2a:49:bc"}, "eth0": {"ip_address": "10.20.0.38", "netmask": "255.255.255.0", "dns_name": "node-12.domain.tld", "static": "0", "mac_address": "08:00:27:93:58:a2"}}, "interfaces_extra": {"eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "08:00:27:32:3f:68_eth2,08:00:27:2a:49:bc_eth1,08:00:27:93:58:a2_eth0", "netcfg/choose_interface": "eth0"}, "power_address": "10.20.0.130", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "sda", "free_space": 15756, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 15820, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "cinder"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 16384}, {"name": "sdb", "free_space": 32140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 1716, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 30552, "type": "pv", "lvm_meta_size": 64, "vg": "cinder"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 32768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 64972, "type": "pv", "lvm_meta_size": 64, "vg": "cinder"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 2048, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Cinder", "min_size": 1536, "volumes": [], "type": "vg", "id": "cinder"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "mco_connector": "rabbitmq", "mco_host": "10.20.0.2"}, "name": "node-12", "hostname": "node-12.domain.tld", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}]}}}	{}	19	1
24	1	9faf408b-619a-4b69-9a17-59cb4328ffd7	verify_networks		ready	100	{"respond_to": "verify_networks_resp", "subtasks": {"check_dhcp": {"task_uuid": "a7985ff3-e985-4ecf-9079-5e1821698c8e", "respond_to": "check_dhcp_resp"}}, "method": "verify_networks", "args": {"task_uuid": "9faf408b-619a-4b69-9a17-59cb4328ffd7", "nodes": [{"uid": 1, "networks": [{"vlans": [0, 0, 101, 102, 103, 104, 105, 106], "iface": "eth2"}, {"vlans": [0], "iface": "eth0"}]}, {"uid": 2, "networks": [{"vlans": [0, 0, 101, 102, 103, 104, 105, 106], "iface": "eth2"}, {"vlans": [0], "iface": "eth0"}]}, {"uid": 3, "networks": [{"vlans": [0, 0, 101, 102, 103, 104, 105, 106], "iface": "eth2"}, {"vlans": [0], "iface": "eth0"}]}, {"uid": 4, "networks": [{"vlans": [0, 0, 101, 102, 103, 104, 105, 106], "iface": "eth2"}, {"vlans": [0], "iface": "eth0"}]}]}}	[]	\N	1
23	3	4e743c96-6537-4d1b-aac6-e42096767d95	deployment	Deployment of environment 'test_ubuntu_simple' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.11/ or via internal network at http://10.20.0.30/	ready	100	{"respond_to": "deploy_resp", "method": "deploy", "args": {"task_uuid": "4e743c96-6537-4d1b-aac6-e42096767d95", "deployment_info": [{"management_interface": "eth2.101", "use_cow_images": true, "uid": "10", "floating_interface": "eth1", "storage_interface": "eth2.102", "syslog": {"syslog_port": "514", "syslog_transport": "udp", "syslog_server": ""}, "libvirt_type": "qemu", "cobbler": {"profile": "ubuntu_1204_x86_64"}, "mysql": {"root_password": "p23V4Cv8"}, "glance": {"image_cache_max_size": "10002995609", "user_password": "DXca4cyl", "db_password": "xQ7uRyXo"}, "public_interface": "eth1", "network_data": {"eth2.102": {"interface": "eth2.102", "ipaddr": ["192.168.1.11/24"]}, "eth2.103": {"interface": "eth2.103", "ipaddr": "none"}, "eth2.101": {"interface": "eth2.101", "ipaddr": ["192.168.0.11/24"]}, "lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth2": {"interface": "eth2", "ipaddr": "none"}, "eth1": {"interface": "eth1", "ipaddr": ["172.16.0.11/24"], "gateway": "172.16.0.1"}, "eth0": {"interface": "eth0", "ipaddr": ["10.20.0.30/24"]}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "EVKARJfs"}, "keystone": {"admin_password": "ok4OXYN7"}, "database": {"passwd": "RloOOmxT"}}, "swift": {"user_password": "VVkCUsRm"}, "storage": {"osd_pool_size": "2", "volumes_lvm": true, "images_ceph": false, "volumes_ceph": false, "objects_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "eMk3HvO5", "user_password": "uloAxPNs", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 100, "murano": {"db_password": "hrTQyVQ3", "enabled": false}, "role": "controller", "vlan_splinters": false, "online": true, "keystone": {"db_password": "sAW3f0yP", "admin_token": "WAnDwa4e"}, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "10", "public_address": "172.16.0.11", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.11", "name": "node-10"}, {"storage_netmask": "255.255.255.0", "uid": "11", "public_address": "172.16.0.12", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.12", "name": "node-11"}, {"storage_netmask": "255.255.255.0", "uid": "12", "public_address": "172.16.0.13", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.13", "name": "node-12"}], "ceilometer": {"db_password": "qhdvdYs7", "user_password": "6VuUrJve", "metering_secret": "Q191yGMG", "enabled": false}, "status": "discover", "deployment_mode": "multinode", "novanetwork_parameters": {"network_manager": "FlatDHCPManager", "network_size": 256}, "heat": {"db_password": "lHzNB5B1", "enabled": false, "rabbit_user": "SB966P1d", "rabbit_password": "Mqg3TRp1"}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "sF2ZXHQV"}, "use_cinder": true, "management_network_range": "192.168.0.0/24", "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "storage_network_range": "192.168.1.0/24", "floating_network_range": ["172.16.0.128-172.16.0.254"], "auth_key": "", "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "fqdn": "node-10.domain.tld", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth2.103", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": false, "cinder": {"db_password": "7r5juvG0", "user_password": "w8qjpgrS"}, "deployment_id": 3, "savanna": {"db_password": "tIRj6PsD", "enabled": false}}, {"management_interface": "eth2.101", "use_cow_images": true, "uid": "11", "floating_interface": "eth1", "storage_interface": "eth2.102", "syslog": {"syslog_port": "514", "syslog_transport": "udp", "syslog_server": ""}, "libvirt_type": "qemu", "cobbler": {"profile": "ubuntu_1204_x86_64"}, "mysql": {"root_password": "p23V4Cv8"}, "glance": {"image_cache_max_size": "5368709120", "user_password": "DXca4cyl", "db_password": "xQ7uRyXo"}, "public_interface": "eth1", "network_data": {"eth2.102": {"interface": "eth2.102", "ipaddr": ["192.168.1.12/24"]}, "eth2.103": {"interface": "eth2.103", "ipaddr": "none"}, "eth2.101": {"interface": "eth2.101", "ipaddr": ["192.168.0.12/24"]}, "lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth2": {"interface": "eth2", "ipaddr": "none"}, "eth1": {"interface": "eth1", "ipaddr": ["172.16.0.12/24"], "gateway": "172.16.0.1"}, "eth0": {"interface": "eth0", "ipaddr": ["10.20.0.33/24"]}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "EVKARJfs"}, "keystone": {"admin_password": "ok4OXYN7"}, "database": {"passwd": "RloOOmxT"}}, "swift": {"user_password": "VVkCUsRm"}, "storage": {"osd_pool_size": "2", "volumes_lvm": true, "images_ceph": false, "volumes_ceph": false, "objects_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "eMk3HvO5", "user_password": "uloAxPNs", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 200, "murano": {"db_password": "hrTQyVQ3", "enabled": false}, "role": "compute", "vlan_splinters": false, "online": true, "keystone": {"db_password": "sAW3f0yP", "admin_token": "WAnDwa4e"}, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "10", "public_address": "172.16.0.11", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.11", "name": "node-10"}, {"storage_netmask": "255.255.255.0", "uid": "11", "public_address": "172.16.0.12", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.12", "name": "node-11"}, {"storage_netmask": "255.255.255.0", "uid": "12", "public_address": "172.16.0.13", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.13", "name": "node-12"}], "ceilometer": {"db_password": "qhdvdYs7", "user_password": "6VuUrJve", "metering_secret": "Q191yGMG", "enabled": false}, "status": "discover", "deployment_mode": "multinode", "novanetwork_parameters": {"network_manager": "FlatDHCPManager", "network_size": 256}, "heat": {"db_password": "lHzNB5B1", "enabled": false, "rabbit_user": "SB966P1d", "rabbit_password": "Mqg3TRp1"}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "sF2ZXHQV"}, "use_cinder": true, "management_network_range": "192.168.0.0/24", "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "storage_network_range": "192.168.1.0/24", "floating_network_range": ["172.16.0.128-172.16.0.254"], "auth_key": "", "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "fqdn": "node-11.domain.tld", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth2.103", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": false, "cinder": {"db_password": "7r5juvG0", "user_password": "w8qjpgrS"}, "deployment_id": 3, "savanna": {"db_password": "tIRj6PsD", "enabled": false}}, {"management_interface": "eth2.101", "use_cow_images": true, "uid": "12", "floating_interface": "eth1", "storage_interface": "eth2.102", "syslog": {"syslog_port": "514", "syslog_transport": "udp", "syslog_server": ""}, "libvirt_type": "qemu", "cobbler": {"profile": "ubuntu_1204_x86_64"}, "mysql": {"root_password": "p23V4Cv8"}, "glance": {"image_cache_max_size": "5368709120", "user_password": "DXca4cyl", "db_password": "xQ7uRyXo"}, "public_interface": "eth1", "network_data": {"eth2.102": {"interface": "eth2.102", "ipaddr": ["192.168.1.13/24"]}, "eth2.103": {"interface": "eth2.103", "ipaddr": "none"}, "eth2.101": {"interface": "eth2.101", "ipaddr": ["192.168.0.13/24"]}, "lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth2": {"interface": "eth2", "ipaddr": "none"}, "eth1": {"interface": "eth1", "ipaddr": ["172.16.0.13/24"], "gateway": "172.16.0.1"}, "eth0": {"interface": "eth0", "ipaddr": ["10.20.0.38/24"]}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "EVKARJfs"}, "keystone": {"admin_password": "ok4OXYN7"}, "database": {"passwd": "RloOOmxT"}}, "swift": {"user_password": "VVkCUsRm"}, "storage": {"osd_pool_size": "2", "volumes_lvm": true, "images_ceph": false, "volumes_ceph": false, "objects_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "eMk3HvO5", "user_password": "uloAxPNs", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 200, "murano": {"db_password": "hrTQyVQ3", "enabled": false}, "role": "cinder", "vlan_splinters": false, "online": true, "keystone": {"db_password": "sAW3f0yP", "admin_token": "WAnDwa4e"}, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "10", "public_address": "172.16.0.11", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.11", "name": "node-10"}, {"storage_netmask": "255.255.255.0", "uid": "11", "public_address": "172.16.0.12", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.12", "name": "node-11"}, {"storage_netmask": "255.255.255.0", "uid": "12", "public_address": "172.16.0.13", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.13", "name": "node-12"}], "ceilometer": {"db_password": "qhdvdYs7", "user_password": "6VuUrJve", "metering_secret": "Q191yGMG", "enabled": false}, "status": "discover", "deployment_mode": "multinode", "novanetwork_parameters": {"network_manager": "FlatDHCPManager", "network_size": 256}, "heat": {"db_password": "lHzNB5B1", "enabled": false, "rabbit_user": "SB966P1d", "rabbit_password": "Mqg3TRp1"}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "sF2ZXHQV"}, "use_cinder": true, "management_network_range": "192.168.0.0/24", "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "storage_network_range": "192.168.1.0/24", "floating_network_range": ["172.16.0.128-172.16.0.254"], "auth_key": "", "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "fqdn": "node-12.domain.tld", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth2.103", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": false, "cinder": {"db_password": "7r5juvG0", "user_password": "w8qjpgrS"}, "deployment_id": 3, "savanna": {"db_password": "tIRj6PsD", "enabled": false}}]}}	{}	19	1
\.


--
-- Name: allowed_networks_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY allowed_networks
    ADD CONSTRAINT allowed_networks_pkey PRIMARY KEY (id);


--
-- Name: attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY attributes
    ADD CONSTRAINT attributes_pkey PRIMARY KEY (id);


--
-- Name: capacity_log_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY capacity_log
    ADD CONSTRAINT capacity_log_pkey PRIMARY KEY (id);


--
-- Name: cluster_changes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_pkey PRIMARY KEY (id);


--
-- Name: clusters_name_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_name_key UNIQUE (name);


--
-- Name: clusters_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_pkey PRIMARY KEY (id);


--
-- Name: global_parameters_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY global_parameters
    ADD CONSTRAINT global_parameters_pkey PRIMARY KEY (id);


--
-- Name: ip_addr_ranges_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY ip_addr_ranges
    ADD CONSTRAINT ip_addr_ranges_pkey PRIMARY KEY (id);


--
-- Name: ip_addrs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_pkey PRIMARY KEY (id);


--
-- Name: net_assignments_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY net_assignments
    ADD CONSTRAINT net_assignments_pkey PRIMARY KEY (id);


--
-- Name: network_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_pkey PRIMARY KEY (id);


--
-- Name: neutron_configs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY neutron_configs
    ADD CONSTRAINT neutron_configs_pkey PRIMARY KEY (id);


--
-- Name: node_attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_attributes
    ADD CONSTRAINT node_attributes_pkey PRIMARY KEY (id);


--
-- Name: node_nic_interfaces_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_pkey PRIMARY KEY (id);


--
-- Name: node_roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_pkey PRIMARY KEY (id);


--
-- Name: nodes_mac_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_mac_key UNIQUE (mac);


--
-- Name: nodes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_pkey PRIMARY KEY (id);


--
-- Name: notifications_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_pkey PRIMARY KEY (id);


--
-- Name: pending_node_roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_pkey PRIMARY KEY (id);


--
-- Name: plugins_name_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY plugins
    ADD CONSTRAINT plugins_name_key UNIQUE (name);


--
-- Name: plugins_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY plugins
    ADD CONSTRAINT plugins_pkey PRIMARY KEY (id);


--
-- Name: red_hat_accounts_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY red_hat_accounts
    ADD CONSTRAINT red_hat_accounts_pkey PRIMARY KEY (id);


--
-- Name: releases_name_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_name_key UNIQUE (name, version);


--
-- Name: releases_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_pkey PRIMARY KEY (id);


--
-- Name: roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_pkey PRIMARY KEY (id);


--
-- Name: tasks_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_pkey PRIMARY KEY (id);


--
-- Name: allowed_networks_interface_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY allowed_networks
    ADD CONSTRAINT allowed_networks_interface_id_fkey FOREIGN KEY (interface_id) REFERENCES node_nic_interfaces(id) ON DELETE CASCADE;


--
-- Name: allowed_networks_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY allowed_networks
    ADD CONSTRAINT allowed_networks_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: attributes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY attributes
    ADD CONSTRAINT attributes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: cluster_changes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: cluster_changes_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: clusters_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: ip_addr_ranges_network_group_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addr_ranges
    ADD CONSTRAINT ip_addr_ranges_network_group_id_fkey FOREIGN KEY (network_group_id) REFERENCES network_groups(id);


--
-- Name: ip_addrs_network_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_network_fkey FOREIGN KEY (network) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: ip_addrs_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_node_fkey FOREIGN KEY (node) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: net_assignments_interface_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_assignments
    ADD CONSTRAINT net_assignments_interface_id_fkey FOREIGN KEY (interface_id) REFERENCES node_nic_interfaces(id) ON DELETE CASCADE;


--
-- Name: net_assignments_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_assignments
    ADD CONSTRAINT net_assignments_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: network_groups_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: network_groups_release_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_release_fkey FOREIGN KEY (release) REFERENCES releases(id);


--
-- Name: neutron_configs_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY neutron_configs
    ADD CONSTRAINT neutron_configs_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: node_attributes_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_attributes
    ADD CONSTRAINT node_attributes_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id);


--
-- Name: node_nic_interfaces_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: node_roles_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_node_fkey FOREIGN KEY (node) REFERENCES nodes(id);


--
-- Name: node_roles_role_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_role_fkey FOREIGN KEY (role) REFERENCES roles(id) ON DELETE CASCADE;


--
-- Name: nodes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: notifications_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE SET NULL;


--
-- Name: notifications_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE SET NULL;


--
-- Name: notifications_task_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_task_id_fkey FOREIGN KEY (task_id) REFERENCES tasks(id) ON DELETE SET NULL;


--
-- Name: pending_node_roles_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_node_fkey FOREIGN KEY (node) REFERENCES nodes(id);


--
-- Name: pending_node_roles_role_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_role_fkey FOREIGN KEY (role) REFERENCES roles(id) ON DELETE CASCADE;


--
-- Name: roles_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id) ON DELETE CASCADE;


--
-- Name: tasks_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: tasks_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_parent_id_fkey FOREIGN KEY (parent_id) REFERENCES tasks(id);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

